StartupEvents.modifyCreativeTab('minecraft:inventory', event => {
  event.icon = 'spelunkery:parachute'
})

StartupEvents.modifyCreativeTab('hauntedharvest:hauntedharvest', event => {
  event.remove('hauntedharvest:rotten_apple') 
  event.remove('hauntedharvest:grim_apple')
  event.remove('hauntedharvest:corn')
  event.remove('hauntedharvest:kernels')
  event.remove('hauntedharvest:popcorn')
  event.remove('hauntedharvest:candy_corn')
  event.remove('hauntedharvest:corn_on_the_cob')
  event.remove('hauntedharvest:paper_bag')
  event.remove('hauntedharvest:cornbread')
  event.remove('hauntedharvest:succotash')
})

StartupEvents.modifyCreativeTab('alexsmobs:alexsmobs', event => {
  event.remove('alexsmobs:acacia_blossom')
  event.remove('alexsmobs:ambergris')
  event.remove('alexsmobs:ancient_dart')
  event.remove('alexsmobs:animal_dictionary')
  event.remove('alexsmobs:banana')
  event.remove('alexsmobs:banana_peel')
  event.remove('alexsmobs:banana_slug_slime')
  event.remove('alexsmobs:banana_slug_slime_block')
  event.remove('alexsmobs:banner_pattern_australia_0')
  event.remove('alexsmobs:banner_pattern_australia_1')
  event.remove('alexsmobs:banner_pattern_bear')
  event.remove('alexsmobs:banner_pattern_brazil')
  event.remove('alexsmobs:banner_pattern_new_mexico')
  event.remove('alexsmobs:bear_fur')
  event.remove('alexsmobs:bison_carpet')
  event.remove('alexsmobs:bison_fur')
  event.remove('alexsmobs:bison_fur_block')
  event.remove('alexsmobs:blobfish')
  event.remove('alexsmobs:blobfish_bucket')
  event.remove('alexsmobs:blood_sac')
  event.remove('alexsmobs:blood_sprayer')
  event.remove('alexsmobs:boiled_emu_egg')
  event.remove('alexsmobs:bone_serpent_tooth')
  event.remove('alexsmobs:cachalot_whale_tooth')
  event.remove('alexsmobs:caiman_egg')
  event.remove('alexsmobs:capsid')
  event.remove('alexsmobs:centipede_leg')
  event.remove('alexsmobs:centipede_leggings')
  event.remove('alexsmobs:chorus_on_a_stick')
  event.remove('alexsmobs:cockroach_ootheca')
  event.remove('alexsmobs:cockroach_wing')
  event.remove('alexsmobs:cockroach_wing_fragment')
  event.remove('alexsmobs:comb_jelly_bucket')
  event.remove('alexsmobs:cooked_catfish')
  event.remove('alexsmobs:cooked_kangaroo_meat')
  event.remove('alexsmobs:cooked_lobster_tail')
  event.remove('alexsmobs:cooked_moose_ribs')
  event.remove('alexsmobs:cosmic_cod')
  event.remove('alexsmobs:cosmic_cod_bucket')
  event.remove('alexsmobs:crocodile_chestplate')
  event.remove('alexsmobs:crocodile_egg')
  event.remove('alexsmobs:crocodile_scute')
  event.remove('alexsmobs:crystalized_banana_slug_mucus')
  event.remove('alexsmobs:devils_hole_pupfish_bucket')
  event.remove('alexsmobs:dimensional_carver')
  event.remove('alexsmobs:dropbear_claw')
  event.remove('alexsmobs:echolocator')
  event.remove('alexsmobs:elastic_tendon')
  event.remove('alexsmobs:emu_egg')
  event.remove('alexsmobs:emu_feather')
  event.remove('alexsmobs:emu_leggings')
  event.remove('alexsmobs:ender_residue')
  event.remove('alexsmobs:enderiophage_rocket')
  event.remove('alexsmobs:endolocator')
  event.remove('alexsmobs:falconry_glove')
  event.remove('alexsmobs:falconry_hood')
  event.remove('alexsmobs:farseer_arm')
  event.remove('alexsmobs:fedora')
  event.remove('alexsmobs:fish_bones')
  event.remove('alexsmobs:fish_oil')
  event.remove('alexsmobs:flying_fish')
  event.remove('alexsmobs:flying_fish_boots')
  event.remove('alexsmobs:flying_fish_bucket')
  event.remove('alexsmobs:frilled_shark_bucket')
  event.remove('alexsmobs:frontier_cap')
  event.remove('alexsmobs:froststalker_helmet')
  event.remove('alexsmobs:froststalker_horn')
  event.remove('alexsmobs:gazelle_horn')
  event.remove('alexsmobs:ghostly_pickaxe')
  event.remove('alexsmobs:gongylidia')
  event.remove('alexsmobs:guster_eye')
  event.remove('alexsmobs:gustmaker')
  event.remove('alexsmobs:hemolymph_blaster')
  event.remove('alexsmobs:hemolymph_sac')
  event.remove('alexsmobs:hummingbird_feeder')
  event.remove('alexsmobs:kangaroo_burger')
  event.remove('alexsmobs:kangaroo_hide')
  event.remove('alexsmobs:kangaroo_meat')
  event.remove('alexsmobs:komodo_spit')
  event.remove('alexsmobs:komodo_spit_bottle')
  event.remove('alexsmobs:large_catfish_bucket')
  event.remove('alexsmobs:lava_bottle')
  event.remove('alexsmobs:leafcutter_ant_chamber')
  event.remove('alexsmobs:leafcutter_ant_pupa')
  event.remove('alexsmobs:leafcutter_anthill')
  event.remove('alexsmobs:lobster_bucket')
  event.remove('alexsmobs:lobster_tail')
  event.remove('alexsmobs:lost_tentacle')
  event.remove('alexsmobs:maggot')
  event.remove('alexsmobs:maraca')
  event.remove('alexsmobs:medium_catfish_bucket')
  event.remove('alexsmobs:mimic_octopus_bucket')
  event.remove('alexsmobs:mimicream')
  event.remove('alexsmobs:moose_antler')
  event.remove('alexsmobs:moose_headgear')
  event.remove('alexsmobs:moose_ribs')
  event.remove('alexsmobs:mosquito_larva')
  event.remove('alexsmobs:mosquito_proboscis')
  event.remove('alexsmobs:mosquito_repellent_stew')
  event.remove('alexsmobs:mudskipper_bucket')
  event.remove('alexsmobs:mungal_spores')
  event.remove('alexsmobs:music_disc_daze')
  event.remove('alexsmobs:music_disc_thime')
  event.remove('alexsmobs:mysterious_worm')
  event.remove('alexsmobs:novelty_hat')
  event.remove('alexsmobs:pigshoes')
  event.remove('alexsmobs:platypus_bucket')
  event.remove('alexsmobs:platypus_egg')
  event.remove('alexsmobs:pocket_sand')
  event.remove('alexsmobs:poison_bottle')
  event.remove('alexsmobs:potted_flutter')
  event.remove('alexsmobs:pupfish_locator')
  event.remove('alexsmobs:raccoon_tail')
  event.remove('alexsmobs:rainbow_glass')
  event.remove('alexsmobs:rainbow_jelly')
  event.remove('alexsmobs:rattlesnake_rattle')
  event.remove('alexsmobs:raw_catfish')
  event.remove('alexsmobs:roadrunner_boots')
  event.remove('alexsmobs:roadrunner_feather')
  event.remove('alexsmobs:rocky_chestplate')
  event.remove('alexsmobs:rocky_shell')
  event.remove('alexsmobs:sculk_boomer')
  event.remove('alexsmobs:serrated_shark_tooth')
  event.remove('alexsmobs:shark_tooth')
  event.remove('alexsmobs:shark_tooth_arrow')
  event.remove('alexsmobs:shattered_dimensional_carver')
  event.remove('alexsmobs:shed_snake_skin')
  event.remove('alexsmobs:shield_of_the_deep')
  event.remove('alexsmobs:shrimp_fried_rice')
  event.remove('alexsmobs:skelewag_sword')
  event.remove('alexsmobs:skreecher_soul')
  event.remove('alexsmobs:small_catfish_bucket')
  event.remove('alexsmobs:sombrero')
  event.remove('alexsmobs:sopa_de_macaco')
  event.remove('alexsmobs:soul_heart')
  event.remove('alexsmobs:spawn_egg_alligator_snapping_turtle')
  event.remove('alexsmobs:spawn_egg_anaconda')
  event.remove('alexsmobs:spawn_egg_anteater')
  event.remove('alexsmobs:spawn_egg_bald_eagle')
  event.remove('alexsmobs:spawn_egg_banana_slug')
  event.remove('alexsmobs:spawn_egg_bison')
  event.remove('alexsmobs:spawn_egg_blobfish')
  event.remove('alexsmobs:spawn_egg_blue_jay')
  event.remove('alexsmobs:spawn_egg_bone_serpent')
  event.remove('alexsmobs:spawn_egg_bunfungus')
  event.remove('alexsmobs:spawn_egg_cachalot_whale')
  event.remove('alexsmobs:spawn_egg_caiman')
  event.remove('alexsmobs:spawn_egg_capuchin_monkey')
  event.remove('alexsmobs:spawn_egg_catfish')
  event.remove('alexsmobs:spawn_egg_centipede')
  event.remove('alexsmobs:spawn_egg_cockroach')
  event.remove('alexsmobs:spawn_egg_comb_jelly')
  event.remove('alexsmobs:spawn_egg_cosmaw')
  event.remove('alexsmobs:spawn_egg_cosmic_cod')
  event.remove('alexsmobs:spawn_egg_crimson_mosquito')
  event.remove('alexsmobs:spawn_egg_crocodile')
  event.remove('alexsmobs:spawn_egg_crow')
  event.remove('alexsmobs:spawn_egg_devils_hole_pupfish')
  event.remove('alexsmobs:spawn_egg_dropbear')
  event.remove('alexsmobs:spawn_egg_elephant')
  event.remove('alexsmobs:spawn_egg_emu')
  event.remove('alexsmobs:spawn_egg_endergrade')
  event.remove('alexsmobs:spawn_egg_enderiophage')
  event.remove('alexsmobs:spawn_egg_farseer')
  event.remove('alexsmobs:spawn_egg_flutter')
  event.remove('alexsmobs:spawn_egg_fly')
  event.remove('alexsmobs:spawn_egg_flying_fish')
  event.remove('alexsmobs:spawn_egg_frilled_shark')
  event.remove('alexsmobs:spawn_egg_froststalker')
  event.remove('alexsmobs:spawn_egg_gazelle')
  event.remove('alexsmobs:spawn_egg_gelada_monkey')
  event.remove('alexsmobs:spawn_egg_giant_squid')
  event.remove('alexsmobs:spawn_egg_gorilla')
  event.remove('alexsmobs:spawn_egg_grizzly_bear')
  event.remove('alexsmobs:spawn_egg_guster')
  event.remove('alexsmobs:spawn_egg_hammerhead_shark')
  event.remove('alexsmobs:spawn_egg_hummingbird')
  event.remove('alexsmobs:spawn_egg_jerboa')
  event.remove('alexsmobs:spawn_egg_kangaroo')
  event.remove('alexsmobs:spawn_egg_komodo_dragon')
  event.remove('alexsmobs:spawn_egg_laviathan')
  event.remove('alexsmobs:spawn_egg_leafcutter_ant')
  event.remove('alexsmobs:spawn_egg_lobster')
  event.remove('alexsmobs:spawn_egg_maned_wolf')
  event.remove('alexsmobs:spawn_egg_mantis_shrimp')
  event.remove('alexsmobs:spawn_egg_mimic_octopus')
  event.remove('alexsmobs:spawn_egg_mimicube')
  event.remove('alexsmobs:spawn_egg_moose')
  event.remove('alexsmobs:spawn_egg_mudskipper')
  event.remove('alexsmobs:spawn_egg_mungus')
  event.remove('alexsmobs:spawn_egg_murmur')
  event.remove('alexsmobs:spawn_egg_orca')
  event.remove('alexsmobs:spawn_egg_platypus')
  event.remove('alexsmobs:spawn_egg_potoo')
  event.remove('alexsmobs:spawn_egg_raccoon')
  event.remove('alexsmobs:spawn_egg_rain_frog')
  event.remove('alexsmobs:spawn_egg_rattlesnake')
  event.remove('alexsmobs:spawn_egg_rhinoceros')
  event.remove('alexsmobs:spawn_egg_roadrunner')
  event.remove('alexsmobs:spawn_egg_rocky_roller')
  event.remove('alexsmobs:spawn_egg_seagull')
  event.remove('alexsmobs:spawn_egg_seal')
  event.remove('alexsmobs:spawn_egg_shoebill')
  event.remove('alexsmobs:spawn_egg_skelewag')
  event.remove('alexsmobs:spawn_egg_skreecher')
  event.remove('alexsmobs:spawn_egg_skunk')
  event.remove('alexsmobs:spawn_egg_snow_leopard')
  event.remove('alexsmobs:spawn_egg_soul_vulture')
  event.remove('alexsmobs:spawn_egg_spectre')
  event.remove('alexsmobs:spawn_egg_straddler')
  event.remove('alexsmobs:spawn_egg_stradpole')
  event.remove('alexsmobs:spawn_egg_sugar_glider')
  event.remove('alexsmobs:spawn_egg_sunbird')
  event.remove('alexsmobs:spawn_egg_tarantula_hawk')
  event.remove('alexsmobs:spawn_egg_tasmanian_devil')
  event.remove('alexsmobs:spawn_egg_terrapin')
  event.remove('alexsmobs:spawn_egg_tiger')
  event.remove('alexsmobs:spawn_egg_toucan')
  event.remove('alexsmobs:spawn_egg_triops')
  event.remove('alexsmobs:spawn_egg_tusklin')
  event.remove('alexsmobs:spawn_egg_underminer')
  event.remove('alexsmobs:spawn_egg_void_worm')
  event.remove('alexsmobs:spawn_egg_warped_mosco')
  event.remove('alexsmobs:spawn_egg_warped_toad')
  event.remove('alexsmobs:spiked_scute')
  event.remove('alexsmobs:spiked_turtle_shell')
  event.remove('alexsmobs:squid_grapple')
  event.remove('alexsmobs:stink_bottle')
  event.remove('alexsmobs:stink_ray')
  event.remove('alexsmobs:straddle_helmet')
  event.remove('alexsmobs:straddle_saddle')
  event.remove('alexsmobs:straddleboard')
  event.remove('alexsmobs:straddlite')
  event.remove('alexsmobs:straddlite_block')
  event.remove('alexsmobs:stradpole_bucket')
  event.remove('alexsmobs:tarantula_hawk_elytra')
  event.remove('alexsmobs:tarantula_hawk_wing')
  event.remove('alexsmobs:tarantula_hawk_wing_fragment')
  event.remove('alexsmobs:tendon_whip')
  event.remove('alexsmobs:terrapin_bucket')
  event.remove('alexsmobs:terrapin_egg')
  event.remove('alexsmobs:transmutation_table')
  event.remove('alexsmobs:triops_bucket')
  event.remove('alexsmobs:triops_eggs')
  event.remove('alexsmobs:unsettling_kimono')
  event.remove('alexsmobs:vine_lasso')
  event.remove('alexsmobs:void_worm_beak')
  event.remove('alexsmobs:void_worm_effigy')
  event.remove('alexsmobs:void_worm_eye')
  event.remove('alexsmobs:void_worm_mandible')
  event.remove('alexsmobs:warped_mixture')
  event.remove('alexsmobs:warped_muscle')
})

//Alex's Mobs Add:
StartupEvents.modifyCreativeTab('minecraft:ingredients', event => {
  event.add('alexsmobs:acacia_blossom')
  event.add('alexsmobs:ancient_dart')
  event.add('alexsmobs:animal_dictionary')
  event.add('alexsmobs:banana')
  event.add('alexsmobs:banner_pattern_australia_0')
  event.add('alexsmobs:banner_pattern_australia_1')
  event.add('alexsmobs:banner_pattern_bear')
  event.add('alexsmobs:banner_pattern_brazil')
  event.add('alexsmobs:banner_pattern_new_mexico')
  event.add('alexsmobs:bear_dust')
  event.add('alexsmobs:bear_fur')
  event.add('alexsmobs:bison_fur')
  event.add('alexsmobs:cachalot_whale_tooth')
  event.add('alexsmobs:caiman_egg')
  event.add('alexsmobs:cooked_catfish')
  event.add('alexsmobs:cosmic_cod')
  event.add('alexsmobs:cosmic_cod_bucket')
  event.add('alexsmobs:crocodile_egg')
  event.add('alexsmobs:crocodile_scute')
  event.add('alexsmobs:devils_hole_pupfish_bucket')
  event.add('alexsmobs:dropbear_claw')
  event.add('alexsmobs:elastic_tendon')
  event.add('alexsmobs:emu_egg')
  event.add('alexsmobs:emu_feather')
  event.add('alexsmobs:farseer_arm')
  event.add('alexsmobs:flying_fish')
  event.add('alexsmobs:flying_fish_bucket')
  event.add('alexsmobs:froststalker_horn')
  event.add('alexsmobs:komodo_spit')
  event.add('alexsmobs:komodo_spit_bottle')
  event.add('alexsmobs:large_catfish_bucket')
  event.add('alexsmobs:lava_bottle')
  event.add('alexsmobs:lobster_bucket')
  event.add('alexsmobs:medium_catfish_bucket')
  event.add('alexsmobs:mimic_octopus_bucket')
  event.add('alexsmobs:mimicream')
  event.add('alexsmobs:mudskipper_bucket')
  event.add('alexsmobs:mungal_spores')
  event.add('alexsmobs:music_disc_thime')
  event.add('alexsmobs:pigshoes')
  event.add('alexsmobs:platypus_bucket')
  event.add('alexsmobs:platypus_egg')
  event.add('alexsmobs:poison_bottle')
  event.add('alexsmobs:potted_flutter')
  event.add('alexsmobs:raw_catfish')
  event.add('alexsmobs:roadrunner_feather')
  event.add('alexsmobs:rocky_shell')
  event.add('alexsmobs:small_catfish_bucket')
  event.add('alexsmobs:soul_heart')
  event.add('alexsmobs:spiked_scute')
  event.add('alexsmobs:stink_bottle')
  event.add('alexsmobs:straddlite')
  event.add('alexsmobs:stradpole_bucket')
  event.add('alexsmobs:terrapin_bucket')
  event.add('alexsmobs:terrapin_egg')
  event.add('alexsmobs:transmutation_table')
  event.add('alexsmobs:triops_bucket')
  event.add('alexsmobs:triops_eggs')
})

StartupEvents.modifyCreativeTab('goodending:good_ending', event => {
  event.remove('goodending:algae')
  event.remove('goodending:balmy_wildflowers')
  event.remove('goodending:birch_mushroom')
  event.remove('goodending:cattail')
  event.remove('goodending:cypress_boat')
  event.remove('goodending:cypress_button')
  event.remove('goodending:cypress_chest_boat')
  event.remove('goodending:cypress_door')
  event.remove('goodending:cypress_fence')
  event.remove('goodending:cypress_fence_gate')
  event.remove('goodending:cypress_hanging_sign')
  event.remove('goodending:cypress_leaves')
  event.remove('goodending:cypress_log')
  event.remove('goodending:cypress_planks')
  event.remove('goodending:cypress_pressure_plate')
  event.remove('goodending:cypress_sapling')
  event.remove('goodending:cypress_sign')
  event.remove('goodending:cypress_slab')
  event.remove('goodending:cypress_stairs')
  event.remove('goodending:cypress_trapdoor')
  event.remove('goodending:cypress_wood')
  event.remove('goodending:dense_birch_leaves')
  event.remove('goodending:dense_dark_oak_leaves')
  event.remove('goodending:duckweed')
  event.remove('goodending:firefly_bottle')
  event.remove('goodending:firefly_lantern')
  event.remove('goodending:firefly_swarm_spawn_egg')
  event.remove('goodending:hanging_dark_oak_leaves')
  event.remove('goodending:hanging_oak_leaves')
  event.remove('goodending:large_lily_pad')
  event.remove('goodending:marsh_spawn_egg')
  event.remove('goodending:muddy_oak_boat')
  event.remove('goodending:muddy_oak_button')
  event.remove('goodending:muddy_oak_chest_boat')
  event.remove('goodending:muddy_oak_door')
  event.remove('goodending:muddy_oak_fence')
  event.remove('goodending:muddy_oak_fence_gate')
  event.remove('goodending:muddy_oak_hanging_sign')
  event.remove('goodending:muddy_oak_log')
  event.remove('goodending:muddy_oak_planks')
  event.remove('goodending:muddy_oak_pressure_plate')
  event.remove('goodending:muddy_oak_sign')
  event.remove('goodending:muddy_oak_slab')
  event.remove('goodending:muddy_oak_stairs')
  event.remove('goodending:muddy_oak_trapdoor')
  event.remove('goodending:muddy_oak_wood')
  event.remove('goodending:pastel_wildflowers')
  event.remove('goodending:pink_flowering_lily_pad')
  event.remove('goodending:pollenflake')
  event.remove('goodending:purple_flowering_lily_pad')
  event.remove('goodending:spicy_wildflowers')
  event.remove('goodending:stripped_cypress_log')
  event.remove('goodending:stripped_cypress_wood')
  event.remove('goodending:stripped_muddy_oak_log')
  event.remove('goodending:stripped_muddy_oak_wood')
  event.remove('goodending:twilight_wildflowers')
  event.remove('goodending:woodpecker_spawn_egg')
  event.remove('goodending:yellow_flowering_lily_pad')
})

StartupEvents.modifyCreativeTab('etcetera:item_group', event => {
  event.remove('etcetera:bismuth_bars')
  event.remove('etcetera:bismuth_block')
  event.remove('etcetera:bismuth_ingot')
  event.remove('etcetera:black_hat')
  event.remove('etcetera:black_sweater')
  event.remove('etcetera:blue_hat')
  event.remove('etcetera:blue_sweater')
  event.remove('etcetera:bouquet')
  event.remove('etcetera:brown_hat')
  event.remove('etcetera:brown_sweater')
  event.remove('etcetera:chapple_spawn_egg')
  event.remove('etcetera:chisel')
  event.remove('etcetera:cotton_flower')
  event.remove('etcetera:cotton_seeds')
  event.remove('etcetera:crumbling_stone')
  event.remove('etcetera:cyan_hat')
  event.remove('etcetera:cyan_sweater')
  event.remove('etcetera:dice')
  event.remove('etcetera:drum')
  event.remove('etcetera:eggple')
  event.remove('etcetera:frame')
  event.remove('etcetera:glow_item_stand')
  event.remove('etcetera:golden_eggple')
  event.remove('etcetera:gray_hat')
  event.remove('etcetera:gray_sweater')
  event.remove('etcetera:green_hat')
  event.remove('etcetera:green_sweater')
  event.remove('etcetera:hammer')
  event.remove('etcetera:handbell')
  event.remove('etcetera:iridescent_concrete')
  event.remove('etcetera:iridescent_glass')
  event.remove('etcetera:iridescent_glass_pane')
  event.remove('etcetera:iridescent_glazed_terracotta')
  event.remove('etcetera:iridescent_lantern')
  event.remove('etcetera:iridescent_terracotta')
  event.remove('etcetera:iridescent_wool')
  event.remove('etcetera:item_stand')
  event.remove('etcetera:leveled_stone')
  event.remove('etcetera:leveled_stone_slab')
  event.remove('etcetera:leveled_stone_stairs')
  event.remove('etcetera:light_blue_hat')
  event.remove('etcetera:light_blue_sweater')
  event.remove('etcetera:light_bulb')
  event.remove('etcetera:light_gray_hat')
  event.remove('etcetera:light_gray_sweater')
  event.remove('etcetera:lime_hat')
  event.remove('etcetera:lime_sweater')
  event.remove('etcetera:magenta_hat')
  event.remove('etcetera:magenta_sweater')
  event.remove('etcetera:nether_bismuth_ore')
  event.remove('etcetera:orange_hat')
  event.remove('etcetera:orange_sweater')
  event.remove('etcetera:pink_hat')
  event.remove('etcetera:pink_sweater')
  event.remove('etcetera:prickly_can')
  event.remove('etcetera:purple_hat')
  event.remove('etcetera:purple_sweater')
  event.remove('etcetera:raw_bismuth')
  event.remove('etcetera:raw_bismuth_block')
  event.remove('etcetera:red_hat')
  event.remove('etcetera:red_sweater')
  event.remove('etcetera:squid_lamp')
  event.remove('etcetera:terracotta_vase')
  event.remove('etcetera:tidal_helmet')
  event.remove('etcetera:tinted_light_bulb')
  event.remove('etcetera:trader_hood')
  event.remove('etcetera:trader_robe')
  event.remove('etcetera:turtle_raft')
  event.remove('etcetera:waxed_crumbling_stone')
  event.remove('etcetera:white_hat')
  event.remove('etcetera:white_sweater')
  event.remove('etcetera:wrench')
  event.remove('etcetera:yellow_hat')
  event.remove('etcetera:yellow_sweater')
})

StartupEvents.modifyCreativeTab('friendsandfoes:main_tab', event => {
  event.remove('friendsandfoes:acacia_beehive')
  event.remove('friendsandfoes:bamboo_beehive')
  event.remove('friendsandfoes:birch_beehive')
  event.remove('friendsandfoes:buttercup')
  event.remove('friendsandfoes:cherry_beehive')
  event.remove('friendsandfoes:copper_button')
  event.remove('friendsandfoes:copper_golem_spawn_egg')
  event.remove('friendsandfoes:crab_claw')
  event.remove('friendsandfoes:crab_egg')
  event.remove('friendsandfoes:crab_spawn_egg')
  event.remove('friendsandfoes:crimson_beehive')
  event.remove('friendsandfoes:dark_oak_beehive')
  event.remove('friendsandfoes:exposed_copper_button')
  event.remove('friendsandfoes:exposed_lightning_rod')
  event.remove('friendsandfoes:glare_spawn_egg')
  event.remove('friendsandfoes:iceologer_spawn_egg')
  event.remove('friendsandfoes:illusioner_spawn_egg')
  event.remove('friendsandfoes:jungle_beehive')
  event.remove('friendsandfoes:mangrove_beehive')
  event.remove('friendsandfoes:mauler_spawn_egg')
  event.remove('friendsandfoes:moobloom_spawn_egg')
  event.remove('friendsandfoes:oxidized_copper_button')
  event.remove('friendsandfoes:oxidized_lightning_rod')
  event.remove('friendsandfoes:rascal_spawn_egg')
  event.remove('friendsandfoes:spruce_beehive')
  event.remove('friendsandfoes:totem_of_freezing')
  event.remove('friendsandfoes:totem_of_illusion')
  event.remove('friendsandfoes:tuff_golem_spawn_egg')
  event.remove('friendsandfoes:warped_beehive')
  event.remove('friendsandfoes:waxed_copper_button')
  event.remove('friendsandfoes:waxed_exposed_copper_button')
  event.remove('friendsandfoes:waxed_exposed_lightning_rod')
  event.remove('friendsandfoes:waxed_lightning_rod')
  event.remove('friendsandfoes:waxed_oxidized_copper_button')
  event.remove('friendsandfoes:waxed_oxidized_lightning_rod')
  event.remove('friendsandfoes:waxed_weathered_copper_button')
  event.remove('friendsandfoes:waxed_weathered_lightning_rod')
  event.remove('friendsandfoes:weathered_copper_button')
  event.remove('friendsandfoes:weathered_lightning_rod')
  event.remove('friendsandfoes:wildfire_crown')
  event.remove('friendsandfoes:wildfire_crown_fragment')
  event.remove('friendsandfoes:wildfire_spawn_egg')
})

StartupEvents.modifyCreativeTab('variantsandventures:main_tab', event => {
  event.remove('variantsandventures:gelid_spawn_egg')
  event.remove('variantsandventures:murk_spawn_egg')
  event.remove('variantsandventures:thicket_spawn_egg')
  event.remove('variantsandventures:verdant_spawn_egg')
})

StartupEvents.modifyCreativeTab('phantasm:phantasm', event => {
  event.remove('phantasm:fallen_star')
  event.remove('phantasm:acidic_mass')
  event.remove('phantasm:acidic_nihilis')
  event.remove('phantasm:acidic_nihilium')
  event.remove('phantasm:behemoth_meat')
  event.remove('phantasm:behemoth_spawn_egg')
  event.remove('phantasm:behemoth_steak')
  event.remove('phantasm:choral_arrow')
  event.remove('phantasm:choral_block')
  event.remove('phantasm:choral_fan')
  event.remove('phantasm:chorus_fruit_salad')
  event.remove('phantasm:cirite')
  event.remove('phantasm:cirite_bricks')
  event.remove('phantasm:cirite_bricks_slab')
  event.remove('phantasm:cirite_bricks_stairs')
  event.remove('phantasm:cirite_iron_ore')
  event.remove('phantasm:crystal_block')
  event.remove('phantasm:crystal_glass')
  event.remove('phantasm:crystal_glass_pane')
  event.remove('phantasm:crystal_pillar')
  event.remove('phantasm:crystal_shard')
  event.remove('phantasm:crystal_tiles')
  event.remove('phantasm:crystal_tiles_slab')
  event.remove('phantasm:crystal_tiles_stairs')
  event.remove('phantasm:crystalily')
  event.remove('phantasm:crystalline_axe')
  event.remove('phantasm:crystalline_hoe')
  event.remove('phantasm:crystalline_pickaxe')
  event.remove('phantasm:crystalline_shovel')
  event.remove('phantasm:crystalline_sword')
  event.remove('phantasm:crystie_spawn_egg')
  event.remove('phantasm:dragon_mint')
  event.remove('phantasm:dralgae')
  event.remove('phantasm:music_disc_abruption')
  event.remove('phantasm:oblifruit')
  event.remove('phantasm:oblivine')
  event.remove('phantasm:oblivion')
  event.remove('phantasm:polished_obsidian')
  event.remove('phantasm:polished_obsidian_bricks')
  event.remove('phantasm:polished_obsidian_bricks_slab')
  event.remove('phantasm:polished_obsidian_bricks_stairs')
  event.remove('phantasm:pome')
  event.remove('phantasm:pome_slice')
  event.remove('phantasm:pream_berry')
  event.remove('phantasm:pream_button')
  event.remove('phantasm:pream_door')
  event.remove('phantasm:pream_fence')
  event.remove('phantasm:pream_fence_gate')
  event.remove('phantasm:pream_hanging_sign')
  event.remove('phantasm:pream_leaves')
  event.remove('phantasm:pream_log')
  event.remove('phantasm:pream_planks')
  event.remove('phantasm:pream_pressure_plate')
  event.remove('phantasm:pream_sapling')
  event.remove('phantasm:pream_sign')
  event.remove('phantasm:pream_slab')
  event.remove('phantasm:pream_stairs')
  event.remove('phantasm:pream_trapdoor')
  event.remove('phantasm:pream_wood')
  event.remove('phantasm:purpur_lamp')
  event.remove('phantasm:raw_purpur')
  event.remove('phantasm:raw_purpur_bricks')
  event.remove('phantasm:raw_purpur_bricks_slab')
  event.remove('phantasm:raw_purpur_bricks_stairs')
  event.remove('phantasm:raw_purpur_pillar')
  event.remove('phantasm:raw_purpur_tiles')
  event.remove('phantasm:shattered_pendant')
  event.remove('phantasm:starflower')
  event.remove('phantasm:stripped_pream_log')
  event.remove('phantasm:stripped_pream_wood')
  event.remove('phantasm:subwoofer_block')
  event.remove('phantasm:tall_acidic_nihilis')
  event.remove('phantasm:tall_vivid_nihilis')
  event.remove('phantasm:vivid_nihilis')
  event.remove('phantasm:vivid_nihilium')
  event.remove('phantasm:void_crystal_block')
  event.remove('phantasm:void_crystal_glass')
  event.remove('phantasm:void_crystal_glass_pane')
  event.remove('phantasm:void_crystal_pillar')
  event.remove('phantasm:void_crystal_shard')
  event.remove('phantasm:void_crystal_tiles')
  event.remove('phantasm:void_crystal_tiles_slab')
  event.remove('phantasm:void_crystal_tiles_stairs')
})

StartupEvents.modifyCreativeTab('species:species', event => {
  event.remove('species:alphacene_grass')
  event.remove('species:alphacene_grass_block')
  event.remove('species:alphacene_moss_block')
  event.remove('species:alphacene_moss_carpet')
  event.remove('species:alphacene_mushroom')
  event.remove('species:alphacene_mushroom_block')
  event.remove('species:alphacene_mushroom_growth')
  event.remove('species:alphacene_tall_grass')
  event.remove('species:ancient_pinecone')
  event.remove('species:birt_dwelling')
  event.remove('species:birt_egg')
  event.remove('species:birt_spawn_egg')
  event.remove('species:bone_bark')
  event.remove('species:bone_spike')
  event.remove('species:bone_vertebra')
  event.remove('species:cracked_wraptor_egg')
  event.remove('species:cruncher_egg')
  event.remove('species:cruncher_pellet')
  event.remove('species:cruncher_spawn_egg')
  event.remove('species:deepfish_bucket')
  event.remove('species:deepfish_spawn_egg')
  event.remove('species:frozen_hair')
  event.remove('species:frozen_meat')
  event.remove('species:goober_spawn_egg')
  event.remove('species:ichor_bottle')
  event.remove('species:limpet_spawn_egg')
  event.remove('species:mammutilation_spawn_egg')
  event.remove('species:music_disc_dial')
  event.remove('species:music_disc_lapidarian')
  event.remove('species:petrified_egg')
  event.remove('species:red_suspicious_sand')
  event.remove('species:roombug_spawn_egg')
  event.remove('species:springling_egg')
  event.remove('species:springling_spawn_egg')
  event.remove('species:treeper_spawn_egg')
  event.remove('species:trooper_spawn_egg')
  event.remove('species:wraptor_egg')
  event.remove('species:wraptor_spawn_egg')
  event.remove('species:youth_potion')

//Peaceless Update:
  event.remove('species:bewereager_head')
  event.remove('species:bewereager_spawn_egg')
  event.remove('species:birtday_cake')
  event.remove('species:birtday_cake_slice')
  event.remove('species:broken_links')
  event.remove('species:chaindelier')
  event.remove('species:cliff_hanger_spawn_egg')
  event.remove('species:coil')
  event.remove('species:crankbow')
  event.remove('species:cranktrap')
  event.remove('species:deflector_dummy')
  event.remove('species:ghoul_head')
  event.remove('species:ghoul_spawn_egg')
  event.remove('species:ghoul_tongue')
  event.remove('species:harpoon')
  event.remove('species:hopelight')
  event.remove('species:kinetic_core')
  event.remove('species:leaf_hanger_spawn_egg')
  event.remove('species:monster_meal')
  event.remove('species:music_disk_spawner')
  event.remove('species:quake_head')
  event.remove('species:quake_spawn_egg')
  event.remove('species:ricoshield')
  event.remove('species:smoke_bomb')
  event.remove('species:speclight')
  event.remove('species:spectralibur')
  event.remove('species:spectralibur_pedestal')
  event.remove('species:spectre_spawn_egg')
  event.remove('species:stackatick_spawn_egg')
  event.remove('species:werefang')
  event.remove('species:wicked_candle')
  event.remove('species:wicked_dope')
  event.remove('species:wicked_mask')
  event.remove('species:wicked_spawn_egg')
  event.remove('species:wicked_swapper')
  event.remove('species:wicked_treat')
  event.remove('species:wicked_wax')
  event.remove('minecraft:painting')
  event.remove(Item.of('minecraft:lingering_potion', '{Potion:"species:bloodlust"}'))
  event.remove(Item.of('minecraft:painting', '{EntityTag:{variant:"species:the_composition"}}'))
  event.remove(Item.of('minecraft:potion', '{Potion:"species:bloodlust"}'))
  event.remove(Item.of('minecraft:splash_potion', '{Potion:"species:bloodlust"}'))
  event.remove(Item.of('minecraft:tipped_arrow', '{Potion:"species:bloodlust"}'))
  event.remove(Item.of('minecraft:white_banner', '{BlockEntityTag:{Patterns:[{Color:0,Pattern:"villager"}],id:"minecraft:banner"},HideFlags:32,display:{Name:\'{"color":"green","translate":"block.species.hopeful_banner"}\'}}') )
})

StartupEvents.modifyCreativeTab('spelunkery:spelunkery', event => {
  event.remove('spelunkery:andesite_coal_ore')
  event.remove('spelunkery:andesite_copper_ore')
  event.remove('spelunkery:andesite_diamond_ore')
  event.remove('spelunkery:andesite_emerald_ore')
  event.remove('spelunkery:andesite_gold_ore')
  event.remove('spelunkery:andesite_iron_ore')
  event.remove('spelunkery:andesite_lapis_ore')
  event.remove('spelunkery:andesite_redstone_ore')
  event.remove('spelunkery:andesite_zinc_ore')
  event.remove('spelunkery:basalt_pebble')
  event.remove('spelunkery:black_glowstick')
  event.remove('spelunkery:blackstone_pebble')
  event.remove('spelunkery:blue_glowstick')
  event.remove('spelunkery:brown_glowstick')
  event.remove('spelunkery:bunny_ears')
  event.remove('spelunkery:button_mushroom')
  event.remove('spelunkery:calcite_redstone_ore')
  event.remove('spelunkery:carved_nephrite')
  event.remove('spelunkery:cave_mushroom_stem')
  event.remove('spelunkery:charcoal_lump')
  event.remove('spelunkery:cinnabar')
  event.remove('spelunkery:cinnabar_block')
  event.remove('spelunkery:cinnabar_shard')
  event.remove('spelunkery:coal_lump')
  event.remove('spelunkery:compression_blast_miner')
  event.remove('spelunkery:conk_fungus')
  event.remove('spelunkery:conk_fungus_block')
  event.remove('spelunkery:copper_nugget')
  event.remove('spelunkery:crimini')
  event.remove('spelunkery:cyan_glowstick')
  event.remove('spelunkery:deepslate_pebble')
  event.remove('spelunkery:depth_gauge')
  event.remove('spelunkery:diamond_grindstone')
  event.remove('spelunkery:diamond_shard')
  event.remove('spelunkery:diorite_coal_ore')
  event.remove('spelunkery:diorite_copper_ore')
  event.remove('spelunkery:diorite_diamond_ore')
  event.remove('spelunkery:diorite_emerald_ore')
  event.remove('spelunkery:diorite_gold_ore')
  event.remove('spelunkery:diorite_iron_ore')
  event.remove('spelunkery:diorite_lapis_ore')
  event.remove('spelunkery:diorite_redstone_ore')
  event.remove('spelunkery:diorite_zinc_ore')
  event.remove('spelunkery:dust')
  event.remove('spelunkery:dust_block')
  event.remove('spelunkery:dust_bun')
  event.remove('spelunkery:dust_bunny_spawn_egg')
  event.remove('spelunkery:echo_fork')
  event.remove('spelunkery:emerald_shard')
  event.remove('spelunkery:end_stone_pebble')
  event.remove('spelunkery:flint_hammer_and_chisel')
  event.remove('spelunkery:glowstick')
  event.remove('spelunkery:granite_coal_ore')
  event.remove('spelunkery:granite_copper_ore')
  event.remove('spelunkery:granite_diamond_ore')
  event.remove('spelunkery:granite_emerald_ore')
  event.remove('spelunkery:granite_gold_ore')
  event.remove('spelunkery:granite_iron_ore')
  event.remove('spelunkery:granite_lapis_ore')
  event.remove('spelunkery:granite_redstone_ore')
  event.remove('spelunkery:granite_zinc_ore')
  event.remove('spelunkery:gray_glowstick')
  event.remove('spelunkery:green_glowstick')
  event.remove('spelunkery:grilled_portabella')
  event.remove('spelunkery:inkcap_mushroom')
  event.remove('spelunkery:inkcap_mushroom_block')
  event.remove('spelunkery:item_magnet')
  event.remove('spelunkery:lapis_lazuli_shard')
  event.remove('spelunkery:light_blue_glowstick')
  event.remove('spelunkery:light_gray_glowstick')
  event.remove('spelunkery:lime_glowstick')
  event.remove('spelunkery:magenta_glowstick')
  event.remove('spelunkery:magma_pebble')
  event.remove('spelunkery:magnetic_compass')
  event.remove('spelunkery:milly_bubcap')
  event.remove('spelunkery:milly_bubcap_block')
  event.remove('spelunkery:mineomite')
  event.remove('spelunkery:mushgloom')
  event.remove('spelunkery:mushgloom_block')
  event.remove('spelunkery:nephrite')
  event.remove('spelunkery:nephrite_chunk')
  event.remove('spelunkery:nephrite_diode')
  event.remove('spelunkery:nephrite_fountain')
  event.remove('spelunkery:nephrite_siphon')
  event.remove('spelunkery:nephrite_slab')
  event.remove('spelunkery:nephrite_stairs')
  event.remove('spelunkery:nephrite_wall')
  event.remove('spelunkery:netherrack_pebble')
  event.remove('spelunkery:obsidian_hammer_and_chisel')
  event.remove('spelunkery:orange_glowstick')
  event.remove('spelunkery:parachute')
  event.remove('spelunkery:phosphor_fungus')
  event.remove('spelunkery:phosphor_fungus_block')
  event.remove('spelunkery:phosphor_shroomlight')
  event.remove('spelunkery:pink_glowstick')
  event.remove('spelunkery:polished_nephrite')
  event.remove('spelunkery:polished_nephrite_brick_slab')
  event.remove('spelunkery:polished_nephrite_brick_stairs')
  event.remove('spelunkery:polished_nephrite_brick_wall')
  event.remove('spelunkery:polished_nephrite_bricks')
  event.remove('spelunkery:polished_nephrite_slab')
  event.remove('spelunkery:polished_nephrite_stairs')
  event.remove('spelunkery:polished_nephrite_wall')
  event.remove('spelunkery:polished_rock_salt')
  event.remove('spelunkery:polished_rock_salt_slab')
  event.remove('spelunkery:polished_rock_salt_stairs')
  event.remove('spelunkery:polished_rock_salt_wall')
  event.remove('spelunkery:portabella')
  event.remove('spelunkery:portabella_block')
  event.remove('spelunkery:portal_fluid_bottle')
  event.remove('spelunkery:portal_fluid_bucket')
  event.remove('spelunkery:purple_glowstick')
  event.remove('spelunkery:raw_bismuth_nugget')
  event.remove('spelunkery:raw_copper_nugget')
  event.remove('spelunkery:raw_gold_nugget')
  event.remove('spelunkery:raw_iron_nugget')
  event.remove('spelunkery:raw_magnetite')
  event.remove('spelunkery:raw_magnetite_block')
  event.remove('spelunkery:raw_magnetite_nugget')
  event.remove('spelunkery:raw_zinc_nugget')
  event.remove('spelunkery:red_glowstick')
  event.remove('spelunkery:rock_salt')
  event.remove('spelunkery:rock_salt_block')
  event.remove('spelunkery:rock_salt_brick_slab')
  event.remove('spelunkery:rock_salt_brick_stairs')
  event.remove('spelunkery:rock_salt_brick_wall')
  event.remove('spelunkery:rock_salt_bricks')
  event.remove('spelunkery:rock_salt_slab')
  event.remove('spelunkery:rock_salt_stairs')
  event.remove('spelunkery:rock_salt_wall')
  event.remove('spelunkery:rope_ladder')
  event.remove('spelunkery:rough_cinnabar')
  event.remove('spelunkery:rough_cinnabar_block')
  event.remove('spelunkery:rough_cinnabar_shard')
  event.remove('spelunkery:rough_diamond')
  event.remove('spelunkery:rough_diamond_block')
  event.remove('spelunkery:rough_diamond_shard')
  event.remove('spelunkery:rough_emerald')
  event.remove('spelunkery:rough_emerald_block')
  event.remove('spelunkery:rough_emerald_shard')
  event.remove('spelunkery:rough_lazurite')
  event.remove('spelunkery:rough_lazurite_block')
  event.remove('spelunkery:rough_lazurite_shard')
  event.remove('spelunkery:rough_quartz_block')
  event.remove('spelunkery:rough_quartz_shard')
  event.remove('spelunkery:salt')
  event.remove('spelunkery:salt_block')
  event.remove('spelunkery:salt_bucket')
  event.remove('spelunkery:salt_lamp')
  event.remove('spelunkery:saltpeter')
  event.remove('spelunkery:saltpeter_block')
  event.remove('spelunkery:sandstone_lapis_ore')
  event.remove('spelunkery:smooth_basalt_diamond_ore')
  event.remove('spelunkery:sporophyte')
  event.remove('spelunkery:spring_water_bucket')
  event.remove('spelunkery:stone_channel')
  event.remove('spelunkery:stone_pebble')
  event.remove('spelunkery:stone_sluice')
  event.remove('spelunkery:sulfur')
  event.remove('spelunkery:sulfur_block')
  event.remove('spelunkery:tall_sporophyte')
  event.remove('spelunkery:tangle_roots')
  event.remove('spelunkery:tangle_roots_block')
  event.remove('spelunkery:tuff_coal_ore')
  event.remove('spelunkery:tuff_copper_ore')
  event.remove('spelunkery:tuff_diamond_ore')
  event.remove('spelunkery:tuff_emerald_ore')
  event.remove('spelunkery:tuff_gold_ore')
  event.remove('spelunkery:tuff_iron_ore')
  event.remove('spelunkery:tuff_lapis_ore')
  event.remove('spelunkery:tuff_redstone_ore')
  event.remove('spelunkery:tuning_fork')
  event.remove('spelunkery:white_glowstick')
  event.remove('spelunkery:white_inkcap_mushroom')
  event.remove('spelunkery:white_inkcap_mushroom_block')
  event.remove('spelunkery:wooden_channel')
  event.remove('spelunkery:wooden_rail')
  event.remove('spelunkery:wooden_sluice')
  event.remove('spelunkery:yellow_glowstick')
})

StartupEvents.modifyCreativeTab('minecraft:ingredients', event => {
  event.remove('spelunkery:basalt_pebble')
  event.remove('spelunkery:blackstone_pebble')
  event.remove('spelunkery:carved_nephrite')
  event.remove('spelunkery:charcoal_lump')
  event.remove('spelunkery:cinnabar')
  event.remove('spelunkery:cinnabar_block')
  event.remove('spelunkery:cinnabar_shard')
  event.remove('spelunkery:coal_lump')
  event.remove('spelunkery:depth_gauge')
  event.remove('spelunkery:diamond_grindstone')
  event.remove('spelunkery:diamond_shard')
  event.remove('spelunkery:diorite_zinc_ore')
  event.remove('spelunkery:emerald_shard')
  event.remove('spelunkery:end_stone_pebble')
  event.remove('spelunkery:flint_hammer_and_chisel')
  event.remove('spelunkery:granite_zinc_ore')
  event.remove('spelunkery:lapis_lazuli_shard')
  event.remove('spelunkery:magma_pebble')
  event.remove('spelunkery:magnetic_compass')
  event.remove('spelunkery:nephrite')
  event.remove('spelunkery:nephrite_chunk')
  event.remove('spelunkery:nephrite_diode')
  event.remove('spelunkery:nephrite_fountain')
  event.remove('spelunkery:nephrite_siphon')
  event.remove('spelunkery:nephrite_slab')
  event.remove('spelunkery:nephrite_stairs')
  event.remove('spelunkery:nephrite_wall')
  event.remove('spelunkery:obsidian_hammer_and_chisel')
  event.remove('spelunkery:polished_nephrite')
  event.remove('spelunkery:polished_nephrite_brick_slab')
  event.remove('spelunkery:polished_nephrite_brick_stairs')
  event.remove('spelunkery:polished_nephrite_brick_wall')
  event.remove('spelunkery:polished_nephrite_bricks')
  event.remove('spelunkery:polished_nephrite_slab')
  event.remove('spelunkery:polished_nephrite_stairs')
  event.remove('spelunkery:polished_nephrite_wall')
  event.remove('spelunkery:polished_rock_salt')
  event.remove('spelunkery:polished_rock_salt_slab')
  event.remove('spelunkery:polished_rock_salt_stairs')
  event.remove('spelunkery:polished_rock_salt_wall')
  event.remove('spelunkery:raw_magnetite_nugget')
  event.remove('spelunkery:raw_zinc_nugget')
  event.remove('spelunkery:rock_salt')
  event.remove('spelunkery:rock_salt_brick_slab')
  event.remove('spelunkery:rock_salt_brick_stairs')
  event.remove('spelunkery:rock_salt_brick_wall')
  event.remove('spelunkery:rock_salt_bricks')
  event.remove('spelunkery:rock_salt_slab')
  event.remove('spelunkery:rock_salt_stairs')
  event.remove('spelunkery:rock_salt_wall')
  event.remove('spelunkery:rough_cinnabar')
  event.remove('spelunkery:rough_cinnabar_block')
  event.remove('spelunkery:rough_cinnabar_shard')
  event.remove('spelunkery:rough_diamond')
  event.remove('spelunkery:rough_diamond_block')
  event.remove('spelunkery:rough_diamond_shard')
  event.remove('spelunkery:rough_emerald')
  event.remove('spelunkery:rough_emerald_block')
  event.remove('spelunkery:rough_emerald_shard')
  event.remove('spelunkery:rough_lazurite')
  event.remove('spelunkery:rough_lazurite_block')
  event.remove('spelunkery:rough_lazurite_shard')
  event.remove('spelunkery:rough_quartz_block')
  event.remove('spelunkery:rough_quartz_shard')
  event.remove('spelunkery:salt_bucket')
  event.remove('spelunkery:salt_lamp')
  event.remove('spelunkery:saltpeter')
  event.remove('spelunkery:saltpeter_block')
  event.remove('spelunkery:stone_channel')
  event.remove('spelunkery:stone_sluice')
  event.remove('spelunkery:wooden_channel')
  event.remove('spelunkery:wooden_sluice')
})

StartupEvents.modifyCreativeTab('ecologics:tab', event => {
  event.remove('ecologics:azalea_boat')
  event.remove('ecologics:azalea_button')
  event.remove('ecologics:azalea_chest_boat')
  event.remove('ecologics:azalea_door')
  event.remove('ecologics:azalea_fence')
  event.remove('ecologics:azalea_fence_gate')
  event.remove('ecologics:azalea_flower')
  event.remove('ecologics:azalea_hanging_sign')
  event.remove('ecologics:azalea_log')
  event.remove('ecologics:azalea_planks')
  event.remove('ecologics:azalea_pressure_plate')
  event.remove('ecologics:azalea_sign')
  event.remove('ecologics:azalea_slab')
  event.remove('ecologics:azalea_stairs')
  event.remove('ecologics:azalea_trapdoor')
  event.remove('ecologics:azalea_wood')
  event.remove('ecologics:coconut')
  event.remove('ecologics:coconut_boat')
  event.remove('ecologics:coconut_button')
  event.remove('ecologics:coconut_chest_boat')
  event.remove('ecologics:coconut_crab_spawn_egg')
  event.remove('ecologics:coconut_door')
  event.remove('ecologics:coconut_fence')
  event.remove('ecologics:coconut_fence_gate')
  event.remove('ecologics:coconut_hanging_sign')
  event.remove('ecologics:coconut_husk')
  event.remove('ecologics:coconut_leaves')
  event.remove('ecologics:coconut_log')
  event.remove('ecologics:coconut_planks')
  event.remove('ecologics:coconut_pressure_plate')
  event.remove('ecologics:coconut_seedling')
  event.remove('ecologics:coconut_sign')
  event.remove('ecologics:coconut_slab')
  event.remove('ecologics:coconut_slice')
  event.remove('ecologics:coconut_stairs')
  event.remove('ecologics:coconut_trapdoor')
  event.remove('ecologics:coconut_wood')
  event.remove('ecologics:cooked_prickly_pear')
  event.remove('ecologics:crab_claw')
  event.remove('ecologics:crab_meat')
  event.remove('ecologics:flowering_azalea_boat')
  event.remove('ecologics:flowering_azalea_chest_boat')
  event.remove('ecologics:flowering_azalea_door')
  event.remove('ecologics:flowering_azalea_fence')
  event.remove('ecologics:flowering_azalea_fence_gate')
  event.remove('ecologics:flowering_azalea_hanging_sign')
  event.remove('ecologics:flowering_azalea_log')
  event.remove('ecologics:flowering_azalea_planks')
  event.remove('ecologics:flowering_azalea_sign')
  event.remove('ecologics:flowering_azalea_slab')
  event.remove('ecologics:flowering_azalea_stairs')
  event.remove('ecologics:flowering_azalea_trapdoor')
  event.remove('ecologics:flowering_azalea_wood')
  event.remove('ecologics:ice_brick_slab')
  event.remove('ecologics:ice_brick_stairs')
  event.remove('ecologics:ice_brick_wall')
  event.remove('ecologics:ice_bricks')
  event.remove('ecologics:music_disc_coconut')
  event.remove('ecologics:penguin_feather')
  event.remove('ecologics:penguin_spawn_egg')
  event.remove('ecologics:pot')
  event.remove('ecologics:prickly_pear')
  event.remove('ecologics:sandcastle')
  event.remove('ecologics:seashell')
  event.remove('ecologics:seashell_block')
  event.remove('ecologics:seashell_tile_slab')
  event.remove('ecologics:seashell_tile_stairs')
  event.remove('ecologics:seashell_tile_wall')
  event.remove('ecologics:seashell_tiles')
  event.remove('ecologics:snow_brick_slab')
  event.remove('ecologics:snow_brick_stairs')
  event.remove('ecologics:snow_brick_wall')
  event.remove('ecologics:snow_bricks')
  event.remove('ecologics:squirrel_spawn_egg')
  event.remove('ecologics:stripped_azalea_log')
  event.remove('ecologics:stripped_azalea_wood')
  event.remove('ecologics:stripped_coconut_log')
  event.remove('ecologics:stripped_coconut_wood')
  event.remove('ecologics:stripped_walnut_log')
  event.remove('ecologics:stripped_walnut_wood')
  event.remove('ecologics:surface_moss')
  event.remove('ecologics:thin_ice')
  event.remove('ecologics:tropical_stew')
  event.remove('ecologics:walnut')
  event.remove('ecologics:walnut_boat')
  event.remove('ecologics:walnut_button')
  event.remove('ecologics:walnut_chest_boat')
  event.remove('ecologics:walnut_door')
  event.remove('ecologics:walnut_fence')
  event.remove('ecologics:walnut_fence_gate')
  event.remove('ecologics:walnut_hanging_sign')
  event.remove('ecologics:walnut_leaves')
  event.remove('ecologics:walnut_log')
  event.remove('ecologics:walnut_planks')
  event.remove('ecologics:walnut_pressure_plate')
  event.remove('ecologics:walnut_sapling')
  event.remove('ecologics:walnut_sign')
  event.remove('ecologics:walnut_slab')
  event.remove('ecologics:walnut_stairs')
  event.remove('ecologics:walnut_trapdoor')
  event.remove('ecologics:walnut_wood')
})

StartupEvents.modifyCreativeTab('farmersdelight:farmersdelight', event => {
  event.remove('farmersdelight:acacia_cabinet')
  event.remove('farmersdelight:apple_cider')
  event.remove('farmersdelight:apple_pie')
  event.remove('farmersdelight:apple_pie_slice')
  event.remove('farmersdelight:bacon')
  event.remove('farmersdelight:bacon_and_eggs')
  event.remove('farmersdelight:bacon_sandwich')
  event.remove('farmersdelight:baked_cod_stew')
  event.remove('farmersdelight:bamboo_cabinet')
  event.remove('farmersdelight:barbecue_stick')
  event.remove('farmersdelight:basket')
  event.remove('farmersdelight:beef_patty')
  event.remove('farmersdelight:beef_stew')
  event.remove('farmersdelight:beetroot_crate')
  event.remove('farmersdelight:birch_cabinet')
  event.remove('farmersdelight:black_canvas_sign')
  event.remove('farmersdelight:black_hanging_canvas_sign')
  event.remove('farmersdelight:blue_canvas_sign')
  event.remove('farmersdelight:blue_hanging_canvas_sign')
  event.remove('farmersdelight:bone_broth')
  event.remove('farmersdelight:brown_canvas_sign')
  event.remove('farmersdelight:brown_hanging_canvas_sign')
  event.remove('farmersdelight:brown_mushroom_colony')
  event.remove('farmersdelight:cabbage')
  event.remove('farmersdelight:cabbage_crate')
  event.remove('farmersdelight:cabbage_leaf')
  event.remove('farmersdelight:cabbage_rolls')
  event.remove('farmersdelight:cabbage_seeds')
  event.remove('farmersdelight:cake_slice')
  event.remove('farmersdelight:canvas')
  event.remove('farmersdelight:canvas_rug')
  event.remove('farmersdelight:canvas_sign')
  event.remove('farmersdelight:carrot_crate')
  event.remove('farmersdelight:cherry_cabinet')
  event.remove('farmersdelight:chicken_cuts')
  event.remove('farmersdelight:chicken_sandwich')
  event.remove('farmersdelight:chicken_soup')
  event.remove('farmersdelight:chocolate_pie')
  event.remove('farmersdelight:chocolate_pie_slice')
  event.remove('farmersdelight:cod_roll')
  event.remove('farmersdelight:cod_slice')
  event.remove('farmersdelight:cooked_bacon')
  event.remove('farmersdelight:cooked_chicken_cuts')
  event.remove('farmersdelight:cooked_cod_slice')
  event.remove('farmersdelight:cooked_mutton_chops')
  event.remove('farmersdelight:cooked_rice')
  event.remove('farmersdelight:cooked_salmon_slice')
  event.remove('farmersdelight:cooking_pot')
  event.remove('farmersdelight:crimson_cabinet')
  event.remove('farmersdelight:cutting_board')
  event.remove('farmersdelight:cyan_canvas_sign')
  event.remove('farmersdelight:cyan_hanging_canvas_sign')
  event.remove('farmersdelight:dark_oak_cabinet')
  event.remove('farmersdelight:diamond_knife')
  event.remove('farmersdelight:dog_food')
  event.remove('farmersdelight:dumplings')
  event.remove('farmersdelight:egg_sandwich')
  event.remove('farmersdelight:fish_stew')
  event.remove('farmersdelight:flint_knife')
  event.remove('farmersdelight:fried_egg')
  event.remove('farmersdelight:fried_rice')
  event.remove('farmersdelight:fruit_salad')
  event.remove('farmersdelight:full_tatami_mat')
  event.remove('farmersdelight:glow_berry_custard')
  event.remove('farmersdelight:golden_knife')
  event.remove('farmersdelight:gray_canvas_sign')
  event.remove('farmersdelight:gray_hanging_canvas_sign')
  event.remove('farmersdelight:green_canvas_sign')
  event.remove('farmersdelight:green_hanging_canvas_sign')
  event.remove('farmersdelight:grilled_salmon')
  event.remove('farmersdelight:half_tatami_mat')
  event.remove('farmersdelight:ham')
  event.remove('farmersdelight:hamburger')
  event.remove('farmersdelight:hanging_canvas_sign')
  event.remove('farmersdelight:honey_cookie')
  event.remove('farmersdelight:honey_glazed_ham')
  event.remove('farmersdelight:honey_glazed_ham_block')
  event.remove('farmersdelight:horse_feed')
  event.remove('farmersdelight:hot_cocoa')
  event.remove('farmersdelight:iron_knife')
  event.remove('farmersdelight:jungle_cabinet')
  event.remove('farmersdelight:kelp_roll')
  event.remove('farmersdelight:kelp_roll_slice')
  event.remove('farmersdelight:light_blue_canvas_sign')
  event.remove('farmersdelight:light_blue_hanging_canvas_sign')
  event.remove('farmersdelight:light_gray_canvas_sign')
  event.remove('farmersdelight:light_gray_hanging_canvas_sign')
  event.remove('farmersdelight:lime_canvas_sign')
  event.remove('farmersdelight:lime_hanging_canvas_sign')
  event.remove('farmersdelight:magenta_canvas_sign')
  event.remove('farmersdelight:magenta_hanging_canvas_sign')
  event.remove('farmersdelight:mangrove_cabinet')
  event.remove('farmersdelight:melon_juice')
  event.remove('farmersdelight:melon_popsicle')
  event.remove('farmersdelight:milk_bottle')
  event.remove('farmersdelight:minced_beef')
  event.remove('farmersdelight:mixed_salad')
  event.remove('farmersdelight:mushroom_rice')
  event.remove('farmersdelight:mutton_chops')
  event.remove('farmersdelight:mutton_wrap')
  event.remove('farmersdelight:nether_salad')
  event.remove('farmersdelight:netherite_knife')
  event.remove('farmersdelight:noodle_soup')
  event.remove('farmersdelight:oak_cabinet')
  event.remove('farmersdelight:onion')
  event.remove('farmersdelight:onion_crate')
  event.remove('farmersdelight:orange_canvas_sign')
  event.remove('farmersdelight:orange_hanging_canvas_sign')
  event.remove('farmersdelight:organic_compost')
  event.remove('farmersdelight:pasta_with_meatballs')
  event.remove('farmersdelight:pasta_with_mutton_chop')
  event.remove('farmersdelight:pie_crust')
  event.remove('farmersdelight:pink_canvas_sign')
  event.remove('farmersdelight:pink_hanging_canvas_sign')
  event.remove('farmersdelight:potato_crate')
  event.remove('farmersdelight:pumpkin_slice')
  event.remove('farmersdelight:pumpkin_soup')
  event.remove('farmersdelight:purple_canvas_sign')
  event.remove('farmersdelight:purple_hanging_canvas_sign')
  event.remove('farmersdelight:ratatouille')
  event.remove('farmersdelight:raw_pasta')
  event.remove('farmersdelight:red_canvas_sign')
  event.remove('farmersdelight:red_hanging_canvas_sign')
  event.remove('farmersdelight:red_mushroom_colony')
  event.remove('farmersdelight:rice')
  event.remove('farmersdelight:rice_bag')
  event.remove('farmersdelight:rice_bale')
  event.remove('farmersdelight:rice_panicle')
  event.remove('farmersdelight:rice_roll_medley_block')
  event.remove('farmersdelight:rich_soil')
  event.remove('farmersdelight:rich_soil_farmland')
  event.remove('farmersdelight:roast_chicken')
  event.remove('farmersdelight:roast_chicken_block')
  event.remove('farmersdelight:roasted_mutton_chops')
  event.remove('farmersdelight:rope')
  event.remove('farmersdelight:rotten_tomato')
  event.remove('farmersdelight:safety_net')
  event.remove('farmersdelight:salmon_roll')
  event.remove('farmersdelight:salmon_slice')
  event.remove('farmersdelight:sandy_shrub')
  event.remove('farmersdelight:shepherds_pie')
  event.remove('farmersdelight:shepherds_pie_block')
  event.remove('farmersdelight:skillet')
  event.remove('farmersdelight:smoked_ham')
  event.remove('farmersdelight:spruce_cabinet')
  event.remove('farmersdelight:squid_ink_pasta')
  event.remove('farmersdelight:steak_and_potatoes')
  event.remove('farmersdelight:stove')
  event.remove('farmersdelight:straw')
  event.remove('farmersdelight:straw_bale')
  event.remove('farmersdelight:stuffed_potato')
  event.remove('farmersdelight:stuffed_pumpkin')
  event.remove('farmersdelight:stuffed_pumpkin_block')
  event.remove('farmersdelight:sweet_berry_cheesecake')
  event.remove('farmersdelight:sweet_berry_cheesecake_slice')
  event.remove('farmersdelight:sweet_berry_cookie')
  event.remove('farmersdelight:tatami')
  event.remove('farmersdelight:tomato')
  event.remove('farmersdelight:tomato_crate')
  event.remove('farmersdelight:tomato_sauce')
  event.remove('farmersdelight:tomato_seeds')
  event.remove('farmersdelight:tree_bark')
  event.remove('farmersdelight:vegetable_noodles')
  event.remove('farmersdelight:vegetable_soup')
  event.remove('farmersdelight:warped_cabinet')
  event.remove('farmersdelight:wheat_dough')
  event.remove('farmersdelight:white_canvas_sign')
  event.remove('farmersdelight:white_hanging_canvas_sign')
  event.remove('farmersdelight:wild_beetroots')
  event.remove('farmersdelight:wild_cabbages')
  event.remove('farmersdelight:wild_carrots')
  event.remove('farmersdelight:wild_onions')
  event.remove('farmersdelight:wild_potatoes')
  event.remove('farmersdelight:wild_rice')
  event.remove('farmersdelight:wild_tomatoes')
  event.remove('farmersdelight:yellow_canvas_sign')
  event.remove('farmersdelight:yellow_hanging_canvas_sign')
  event.remove('snowpig:frozen_ham')
})

//Remove Eggs:
StartupEvents.modifyCreativeTab('minecraft:spawn_eggs', event => {
  event.remove('earthmobsmod:albino_cow_spawn_egg')
  event.remove('earthmobsmod:ashen_cow_spawn_egg')
  event.remove('earthmobsmod:baby_ghast_spawn_egg')
  event.remove('earthmobsmod:bone_shard')
  event.remove('earthmobsmod:bone_spider_eye')
  event.remove('earthmobsmod:bone_spider_spawn_egg')
  event.remove('earthmobsmod:bouldering_drowned_spawn_egg')
  event.remove('earthmobsmod:cluck_shroom_spawn_egg')
  event.remove('earthmobsmod:cookie_cow_spawn_egg')
  event.remove('earthmobsmod:cream_cow_spawn_egg')
  event.remove('earthmobsmod:dairy_cow_spawn_egg')
  event.remove('earthmobsmod:duck_egg')
  event.remove('earthmobsmod:duck_spawn_egg')
  event.remove('earthmobsmod:fancy_chicken_spawn_egg')
  event.remove('earthmobsmod:fancy_egg')
  event.remove('earthmobsmod:fancy_feather')
  event.remove('earthmobsmod:horn')
  event.remove('earthmobsmod:horned_sheep_spawn_egg')
  event.remove('earthmobsmod:hyper_rabbit_foot')
  event.remove('earthmobsmod:hyper_rabbit_spawn_egg')
  event.remove('earthmobsmod:jolly_llama_spawn_egg')
  event.remove('earthmobsmod:jumbo_rabbit_spawn_egg')
  event.remove('earthmobsmod:lobber_drowned_spawn_egg')
  event.remove('earthmobsmod:lobber_zombie_spawn_egg')
  event.remove('earthmobsmod:magma_cow_spawn_egg')
  event.remove('earthmobsmod:moobloom_spawn_egg')
  event.remove('earthmobsmod:moolip_spawn_egg')
  event.remove('earthmobsmod:mud_bucket')
  event.remove('earthmobsmod:pinto_cow_spawn_egg')
  event.remove('earthmobsmod:ruby')
  event.remove('earthmobsmod:ruby_block')
  event.remove('earthmobsmod:skeleton_wolf_spawn_egg')
  event.remove('earthmobsmod:smelly_egg')
  event.remove('earthmobsmod:stray_bone_spider_spawn_egg')
  event.remove('earthmobsmod:sunset_cow_spawn_egg')
  event.remove('earthmobsmod:teacup_pig_pot')
  event.remove('earthmobsmod:teacup_pig_spawn_egg')
  event.remove('earthmobsmod:umbra_cow_spawn_egg')
  event.remove('earthmobsmod:viler_witch_spawn_egg')
  event.remove('earthmobsmod:wither_skeleton_wolf_spawn_egg')
  event.remove('earthmobsmod:wooly_cow_spawn_egg')
  event.remove('earthmobsmod:zombified_pig_spawn_egg')
  event.remove('earthmobsmod:zombified_rabbit_foot')
  event.remove('earthmobsmod:zombified_rabbit_spawn_egg')
})

//Remove Food:
StartupEvents.modifyCreativeTab('minecraft:food_and_drinks', event => {
  event.remove('habitat:dried_ball_cactus')
  event.remove('snowpig:frozen_ham')
  event.remove('minecraft:rabbit_foot')
  event.remove('minecraft:rabbit')
  event.remove('minecraft:cooked_rabbit')
  event.remove('minecraft:rabbit_stew')
  event.remove('snowpig:frozen_porkchop')
  event.remove('species:cracked_wraptor_egg')
  event.remove('upgrade_aquatic:mulberry_bread')
})

StartupEvents.modifyCreativeTab('minecraft:ingredients', event => {
  event.remove('minecraft:rabbit_hide')
})

StartupEvents.modifyCreativeTab('galosphere:galosphere', event => {
  event.remove('galosphere:allurite_block')
  event.remove('galosphere:allurite_brick_slab')
  event.remove('galosphere:allurite_brick_stairs')
  event.remove('galosphere:allurite_bricks')
  event.remove('galosphere:allurite_cluster')
  event.remove('galosphere:allurite_lamp')
  event.remove('galosphere:allurite_shard')
  event.remove('galosphere:allurite_slab')
  event.remove('galosphere:allurite_stairs')
  event.remove('galosphere:amethyst_brick_slab')
  event.remove('galosphere:amethyst_brick_stairs')
  event.remove('galosphere:amethyst_bricks')
  event.remove('galosphere:amethyst_lamp')
  event.remove('galosphere:amethyst_slab')
  event.remove('galosphere:amethyst_stairs')
  event.remove('galosphere:barometer')
  event.remove('galosphere:berserker_spawn_egg')
  event.remove('galosphere:bottle_of_spectre')
  event.remove('galosphere:bowl_lichen')
  event.remove('galosphere:chandelier')
  event.remove('galosphere:charged_lumiere_block')
  event.remove('galosphere:chiseled_allurite')
  event.remove('galosphere:chiseled_amethyst')
  event.remove('galosphere:chiseled_lumiere')
  event.remove('galosphere:chiseled_pastel_pink_salt')
  event.remove('galosphere:chiseled_pink_salt')
  event.remove('galosphere:chiseled_rose_pink_salt')
  event.remove('galosphere:combustion_table')
  event.remove('galosphere:cured_membrane')
  event.remove('galosphere:cured_membrane_block')
  event.remove('galosphere:deepslate_silver_ore')
  event.remove('galosphere:gilded_beads')
  event.remove('galosphere:glinted_allurite_cluster')
  event.remove('galosphere:glinted_amethyst_cluster')
  event.remove('galosphere:glinted_lumiere_cluster')
  event.remove('galosphere:glow_flare')
  event.remove('galosphere:glow_ink_clumps')
  event.remove('galosphere:golden_lichen_cordyceps')
  event.remove('galosphere:icon_item')
  event.remove('galosphere:lichen_cordyceps')
  event.remove('galosphere:lichen_moss')
  event.remove('galosphere:lichen_roots')
  event.remove('galosphere:lichen_shelf')
  event.remove('galosphere:lumiere_block')
  event.remove('galosphere:lumiere_brick_slab')
  event.remove('galosphere:lumiere_brick_stairs')
  event.remove('galosphere:lumiere_bricks')
  event.remove('galosphere:lumiere_cluster')
  event.remove('galosphere:lumiere_lamp')
  event.remove('galosphere:lumiere_shard')
  event.remove('galosphere:lumiere_slab')
  event.remove('galosphere:lumiere_stairs')
  event.remove('galosphere:monstrometer')
  event.remove('galosphere:pastel_pink_salt')
  event.remove('galosphere:pastel_pink_salt_brick_slab')
  event.remove('galosphere:pastel_pink_salt_brick_stairs')
  event.remove('galosphere:pastel_pink_salt_brick_wall')
  event.remove('galosphere:pastel_pink_salt_bricks')
  event.remove('galosphere:pastel_pink_salt_slab')
  event.remove('galosphere:pastel_pink_salt_stairs')
  event.remove('galosphere:pastel_pink_salt_wall')
  event.remove('galosphere:pink_salt')
  event.remove('galosphere:pink_salt_brick_slab')
  event.remove('galosphere:pink_salt_brick_stairs')
  event.remove('galosphere:pink_salt_brick_wall')
  event.remove('galosphere:pink_salt_bricks')
  event.remove('galosphere:pink_salt_chamber')
  event.remove('galosphere:pink_salt_cluster')
  event.remove('galosphere:pink_salt_lamp')
  event.remove('galosphere:pink_salt_shard')
  event.remove('galosphere:pink_salt_slab')
  event.remove('galosphere:pink_salt_stairs')
  event.remove('galosphere:pink_salt_straw')
  event.remove('galosphere:pink_salt_wall')
  event.remove('galosphere:polished_pastel_pink_salt')
  event.remove('galosphere:polished_pastel_pink_salt_slab')
  event.remove('galosphere:polished_pastel_pink_salt_stairs')
  event.remove('galosphere:polished_pastel_pink_salt_wall')
  event.remove('galosphere:polished_pink_salt')
  event.remove('galosphere:polished_pink_salt_slab')
  event.remove('galosphere:polished_pink_salt_stairs')
  event.remove('galosphere:polished_pink_salt_wall')
  event.remove('galosphere:polished_rose_pink_salt')
  event.remove('galosphere:polished_rose_pink_salt_slab')
  event.remove('galosphere:polished_rose_pink_salt_stairs')
  event.remove('galosphere:polished_rose_pink_salt_wall')
  event.remove('galosphere:preserved_flesh')
  event.remove('galosphere:preserved_spawn_egg')
  event.remove('galosphere:preserved_template')
  event.remove('galosphere:raw_silver')
  event.remove('galosphere:raw_silver_block')
  event.remove('galosphere:rose_pink_salt')
  event.remove('galosphere:rose_pink_salt_brick_slab')
  event.remove('galosphere:rose_pink_salt_brick_stairs')
  event.remove('galosphere:rose_pink_salt_brick_wall')
  event.remove('galosphere:rose_pink_salt_bricks')
  event.remove('galosphere:rose_pink_salt_slab')
  event.remove('galosphere:rose_pink_salt_stairs')
  event.remove('galosphere:rose_pink_salt_wall')
  event.remove('galosphere:saltbound_tablet')
  event.remove('galosphere:salted_jerky')
  event.remove('galosphere:shadow_frame')
  event.remove('galosphere:silver_balance')
  event.remove('galosphere:silver_block')
  event.remove('galosphere:silver_bomb')
  event.remove('galosphere:silver_ingot')
  event.remove('galosphere:silver_lattice')
  event.remove('galosphere:silver_nugget')
  event.remove('galosphere:silver_ore')
  event.remove('galosphere:silver_panel')
  event.remove('galosphere:silver_panel_slab')
  event.remove('galosphere:silver_panel_stairs')
  event.remove('galosphere:silver_tiles')
  event.remove('galosphere:silver_tiles_slab')
  event.remove('galosphere:silver_tiles_stairs')
  event.remove('galosphere:silver_upgrade_smithing_template')
  event.remove('galosphere:smooth_allurite')
  event.remove('galosphere:smooth_allurite_slab')
  event.remove('galosphere:smooth_allurite_stairs')
  event.remove('galosphere:smooth_amethyst')
  event.remove('galosphere:smooth_amethyst_slab')
  event.remove('galosphere:smooth_amethyst_stairs')
  event.remove('galosphere:smooth_lumiere')
  event.remove('galosphere:smooth_lumiere_slab')
  event.remove('galosphere:smooth_lumiere_stairs')
  event.remove('galosphere:sparkle_spawn_egg')
  event.remove('galosphere:specterpillar_spawn_egg')
  event.remove('galosphere:spectre_bound_spyglass')
  event.remove('galosphere:spectre_flare')
  event.remove('galosphere:spectre_spawn_egg')
  event.remove('galosphere:sterling_boots')
  event.remove('galosphere:sterling_chestplate')
  event.remove('galosphere:sterling_helmet')
  event.remove('galosphere:sterling_horse_armor')
  event.remove('galosphere:sterling_leggings')
  event.remove('galosphere:stranded_membrane_block')
  event.remove('galosphere:warped_anchor')
})

StartupEvents.modifyCreativeTab('outer_end:outer_end_tab', event => {
  event.remove('outer_end:ancient_ice')
  event.remove('outer_end:ancient_ice_cap')
  event.remove('outer_end:ancient_ice_column')
  event.remove('outer_end:ancient_stone')
  event.remove('outer_end:azure_berries')
  event.remove('outer_end:azure_boat')
  event.remove('outer_end:azure_bookshelf')
  event.remove('outer_end:azure_bud')
  event.remove('outer_end:azure_button')
  event.remove('outer_end:azure_chest')
  event.remove('outer_end:azure_chest_boat')
  event.remove('outer_end:azure_door')
  event.remove('outer_end:azure_fence')
  event.remove('outer_end:azure_fence_gate')
  event.remove('outer_end:azure_grass')
  event.remove('outer_end:azure_hanging_sign')
  event.remove('outer_end:azure_ladder')
  event.remove('outer_end:azure_leaves')
  event.remove('outer_end:azure_pith')
  event.remove('outer_end:azure_planks')
  event.remove('outer_end:azure_pressure_plate')
  event.remove('outer_end:azure_sign')
  event.remove('outer_end:azure_slab')
  event.remove('outer_end:azure_sprouts')
  event.remove('outer_end:azure_stairs')
  event.remove('outer_end:azure_stamen')
  event.remove('outer_end:azure_stem')
  event.remove('outer_end:azure_stripped_pith')
  event.remove('outer_end:azure_stripped_stem')
  event.remove('outer_end:azure_trapdoor')
  event.remove('outer_end:azure_trapped_chest')
  event.remove('outer_end:azure_vines')
  event.remove('outer_end:brine_bucket')
  event.remove('outer_end:chiseled_violite_bricks')
  event.remove('outer_end:cobalt_crystal')
  event.remove('outer_end:cobalt_crystal_arrow')
  event.remove('outer_end:cobalt_crystal_boots')
  event.remove('outer_end:cobalt_crystal_bud')
  event.remove('outer_end:cobalt_crystal_chestplate')
  event.remove('outer_end:cobalt_crystal_helmet')
  event.remove('outer_end:cobalt_crystal_lamp')
  event.remove('outer_end:cobalt_crystal_leggings')
  event.remove('outer_end:cobalt_crystal_shard')
  event.remove('outer_end:cobalt_crystalline_berries')
  event.remove('outer_end:cobalt_roots')
  event.remove('outer_end:cobalt_tangled_violite')
  event.remove('outer_end:cobalt_upgrade_template')
  event.remove('outer_end:cooked_stalker_meat')
  event.remove('outer_end:cracked_violite_bricks')
  event.remove('outer_end:cracked_violite_tiles')
  event.remove('outer_end:cured_chorus_fruit')
  event.remove('outer_end:cured_jerky')
  event.remove('outer_end:ender_roots')
  event.remove('outer_end:entombed_spawn_egg')
  event.remove('outer_end:floral_paste')
  event.remove('outer_end:glowing_ancient_ice')
  event.remove('outer_end:glowing_ancient_ice_cap')
  event.remove('outer_end:glowing_ancient_ice_column')
  event.remove('outer_end:halite')
  event.remove('outer_end:halite_crystal')
  event.remove('outer_end:himmel_block')
  event.remove('outer_end:himmel_pillar')
  event.remove('outer_end:himmel_slab')
  event.remove('outer_end:himmel_stairs')
  event.remove('outer_end:himmelite_spawn_egg')
  event.remove('outer_end:levitation_core')
  event.remove('outer_end:mint_crystal')
  event.remove('outer_end:mint_crystal_arrow')
  event.remove('outer_end:mint_crystal_boots')
  event.remove('outer_end:mint_crystal_bud')
  event.remove('outer_end:mint_crystal_chestplate')
  event.remove('outer_end:mint_crystal_helmet')
  event.remove('outer_end:mint_crystal_lamp')
  event.remove('outer_end:mint_crystal_leggings')
  event.remove('outer_end:mint_crystal_shard')
  event.remove('outer_end:mint_crystalline_berries')
  event.remove('outer_end:mint_roots')
  event.remove('outer_end:mint_tangled_violite')
  event.remove('outer_end:mint_upgrade_template')
  event.remove('outer_end:mossy_violite_brick_slab')
  event.remove('outer_end:mossy_violite_brick_stairs')
  event.remove('outer_end:mossy_violite_brick_wall')
  event.remove('outer_end:mossy_violite_bricks')
  event.remove('outer_end:mossy_violite_tile_slab')
  event.remove('outer_end:mossy_violite_tile_stairs')
  event.remove('outer_end:mossy_violite_tiles')
  event.remove('outer_end:music_disc_galactic_wave')
  event.remove('outer_end:music_disc_unknown_frontier')
  event.remove('outer_end:ominous_miasma_bucket')
  event.remove('outer_end:purpur_golem_spawn_egg')
  event.remove('outer_end:rose_crystal')
  event.remove('outer_end:rose_crystal_arrow')
  event.remove('outer_end:rose_crystal_boots')
  event.remove('outer_end:rose_crystal_bud')
  event.remove('outer_end:rose_crystal_chestplate')
  event.remove('outer_end:rose_crystal_helmet')
  event.remove('outer_end:rose_crystal_lamp')
  event.remove('outer_end:rose_crystal_leggings')
  event.remove('outer_end:rose_crystal_shard')
  event.remove('outer_end:rose_crystalline_berries')
  event.remove('outer_end:rose_roots')
  event.remove('outer_end:rose_tangled_violite')
  event.remove('outer_end:rose_upgrade_template')
  event.remove('outer_end:shulker_shield')
  event.remove('outer_end:sinker_dagger')
  event.remove('outer_end:sinker_shuriken')
  event.remove('outer_end:sinker_spawn_egg')
  event.remove('outer_end:sinker_tooth')
  event.remove('outer_end:spectragel')
  event.remove('outer_end:stalker_meat')
  event.remove('outer_end:stalker_spawn_egg')
  event.remove('outer_end:stromatolite')
  event.remove('outer_end:tall_ender_roots')
  event.remove('outer_end:violite')
  event.remove('outer_end:violite_brick_pillar')
  event.remove('outer_end:violite_brick_slab')
  event.remove('outer_end:violite_brick_stairs')
  event.remove('outer_end:violite_brick_wall')
  event.remove('outer_end:violite_bricks')
  event.remove('outer_end:violite_slab')
  event.remove('outer_end:violite_stairs')
  event.remove('outer_end:violite_tile_slab')
  event.remove('outer_end:violite_tile_stairs')
  event.remove('outer_end:violite_tiles')
})

StartupEvents.modifyCreativeTab('kubejs:tab', event => {
  event.remove('kubejs:ancient_rod')
  event.remove('kubejs:banana_bread')
  event.remove('kubejs:butter')
  event.remove('kubejs:carrot_cake')
  event.remove('kubejs:chiseled_gloomy_tiles')
  event.remove('kubejs:copper_axe')
  event.remove('kubejs:copper_hoe')
  event.remove('kubejs:copper_pickaxe')
  event.remove('kubejs:copper_shovel')
  event.remove('kubejs:copper_sword')
  event.remove('kubejs:gloomy_tiles')
  event.remove('kubejs:gloomy_tiles_slab')
  event.remove('kubejs:gloomy_tiles_stairs')
  event.remove('kubejs:gloomy_tiles_wall')
  event.remove('kubejs:golden_potato')
  event.remove('kubejs:halite_block')
  event.remove('kubejs:marshmallow')
  event.remove('kubejs:music_disc_droopy2')
  event.remove('kubejs:music_disc_dog')
  event.remove('kubejs:music_disc_eleven')
  event.remove('kubejs:mysterious_stone')
  event.remove('kubejs:omelette')
  event.remove('kubejs:omelette')
  event.remove('kubejs:rock_salt')
  event.remove('kubejs:salt')
  event.remove('kubejs:soul_dust')
  event.remove('kubejs:waffle')
  event.remove('kubejs:rice_ball')
  event.remove('kubejs:wheat_flour')
  event.remove('kubejs:dough')
  event.remove('kubejs:honeyed_apple')
  event.remove('kubejs:chocolate_glazed_berries')
  event.remove('kubejs:bar_of_chocolate')
})

//Remove Natural Blocks:
StartupEvents.modifyCreativeTab('minecraft:natural_blocks', event => {
  event.remove('minecraft:deepslate_diamond_ore')
  event.remove('minecraft:deepslate_gold_ore')
  event.remove('rediscovered:deepslate_ruby_ore')
  event.remove('habitat:tall_purple_anthurium')
  event.remove('habitat:tall_red_anthurium')
  event.remove('habitat:tall_white_anthurium')
  event.remove('habitat:tall_yellow_anthurium')
  event.remove('habitat:dreadbud')
  event.remove('habitat:yellow_anthurium')
  event.remove('earthmobsmod:buttercup')
  event.remove('species:birt_dwelling')
  event.remove('upgrade_aquatic:boiled_pickerelweed_block')
  event.remove('upgrade_aquatic:pickerelweed_block')
  event.remove('upgrade_aquatic:pickerelweed')
  event.remove('species:wraptor_egg')
  event.remove('upgrade_aquatic:tall_beachgrass')
  event.remove('upgrade_aquatic:beachgrass')
  event.remove('galosphere:amethyst_lamp')
  event.remove('galosphere:allurite_lamp')
  event.remove('galosphere:lumiere_lamp')
  event.remove('habitat:kabloom_pulp')
  event.remove('habitat:kabloom_fruit_pile')
  event.remove('habitat:kabloom_pulp_block')
  event.remove('habitat:slime_fern')
  event.remove('habitat:orange_ball_cactus_flower')
  event.remove('habitat:pink_ball_cactus_flower')
  event.remove('habitat:red_anthurium')
  event.remove('habitat:purple_anthurium')
  event.remove('habitat:fairy_ring_mushroom')
  event.remove('habitat:yellow_ball_cactus')
  event.remove('habitat:red_ball_cactus')
  event.remove('habitat:pink_ball_cactus')
  event.remove('habitat:orange_ball_cactus')
  event.remove('habitat:yellow_ball_cactus_flower')
  event.remove('habitat:red_ball_cactus_flower')
  event.remove('habitat:white_anthurium')
  event.remove('minecraft:muddy_mangrove_roots')
  event.remove('newworld:fir_log')
  event.remove('galosphere:glinted_lumiere_cluster')
  event.remove('galosphere:lumiere_cluster')
  event.remove('galosphere:lumiere_block')
  event.remove('galosphere:glinted_allurite_cluster')
  event.remove('galosphere:allurite_cluster')
  event.remove('savage_and_ravage:creeper_spore_sack')
  event.remove('galosphere:allurite_block')
  event.remove('minecraft:deepslate_copper_ore')
  event.remove('minecraft:deepslate_lapis_ore')
  event.remove('rediscovered:deepslate_ruby_ore')
  event.remove('minecraft:deepslate_emerald_ore')
  event.remove('minecraft:deepslate_redstone_ore')
  event.remove('galosphere:deepslate_silver_ore')
  event.remove('minecraft:deepslate_iron_ore')
  event.remove('minecraft:deepslate_coal_ore')
  event.remove('upgrade_aquatic:river_leaf_pile')
})

//Remove Building Blocks:
StartupEvents.modifyCreativeTab('minecraft:building_blocks', event => {
  event.remove('copperandtuffbackport:chiseled_copper')
  event.remove('copperandtuffbackport:chiseled_tuff')
  event.remove('copperandtuffbackport:chiseled_tuff_bricks')
  event.remove('copperandtuffbackport:exposed_chiseled_copper')
  event.remove('copperandtuffbackport:oxidized_chiseled_copper')
  event.remove('copperandtuffbackport:polished_tuff')
  event.remove('copperandtuffbackport:polished_tuff_slab')
  event.remove('copperandtuffbackport:polished_tuff_stairs')
  event.remove('copperandtuffbackport:polished_tuff_wall')
  event.remove('copperandtuffbackport:tuff_brick_slab')
  event.remove('copperandtuffbackport:tuff_brick_stairs')
  event.remove('copperandtuffbackport:tuff_brick_wall')
  event.remove('copperandtuffbackport:tuff_bricks')
  event.remove('copperandtuffbackport:waxed_chiseled_copper')
  event.remove('copperandtuffbackport:waxed_exposed_chiseled_copper')
  event.remove('copperandtuffbackport:waxed_oxidized_chiseled_copper')
  event.remove('copperandtuffbackport:waxed_weathered_chiseled_copper')
  event.remove('copperandtuffbackport:weathered_chiseled_copper')
  event.remove('earthmobsmod:ruby_block')
  event.remove('etcetera:crumbling_stone')
  event.remove('etcetera:leveled_stone')
  event.remove('etcetera:leveled_stone_slab')
  event.remove('etcetera:leveled_stone_stairs')
  event.remove('etcetera:waxed_crumbling_stone')
  event.remove('galosphere:allurite_block')
  event.remove('galosphere:allurite_brick_slab')
  event.remove('galosphere:allurite_brick_stairs')
  event.remove('galosphere:allurite_bricks')
  event.remove('galosphere:allurite_lamp')
  event.remove('galosphere:allurite_slab')
  event.remove('galosphere:allurite_stairs')
  event.remove('galosphere:chiseled_allurite')
  event.remove('galosphere:chiseled_lumiere')
  event.remove('galosphere:lumiere_block')
  event.remove('galosphere:lumiere_brick_slab')
  event.remove('galosphere:lumiere_brick_stairs')
  event.remove('galosphere:lumiere_bricks')
  event.remove('galosphere:lumiere_lamp')
  event.remove('galosphere:lumiere_slab')
  event.remove('galosphere:lumiere_stairs')
  event.remove('galosphere:silver_panel')
  event.remove('galosphere:silver_panel_slab')
  event.remove('galosphere:silver_panel_stairs')
  event.remove('galosphere:silver_tiles')
  event.remove('galosphere:silver_tiles_slab')
  event.remove('galosphere:silver_tiles_stairs')
  event.remove('galosphere:smooth_allurite')
  event.remove('galosphere:smooth_allurite_slab')
  event.remove('galosphere:smooth_allurite_stairs')
  event.remove('galosphere:smooth_lumiere')
  event.remove('galosphere:smooth_lumiere_slab')
  event.remove('galosphere:smooth_lumiere_stairs')
  event.remove('hauntedharvest:corn_crate')
  event.remove('minecraft:cracked_deepslate_bricks')
  event.remove('minecraft:cracked_deepslate_tiles')
  event.remove('minecraft:crimson_button')
  event.remove('minecraft:crimson_door')
  event.remove('minecraft:crimson_fence')
  event.remove('minecraft:crimson_fence_gate')
  event.remove('minecraft:crimson_planks')
  event.remove('minecraft:crimson_pressure_plate')
  event.remove('minecraft:crimson_slab')
  event.remove('minecraft:crimson_stairs')
  event.remove('minecraft:crimson_trapdoor')
  event.remove('minecraft:deepslate_brick_slab')
  event.remove('minecraft:deepslate_brick_stairs')
  event.remove('minecraft:deepslate_brick_wall')
  event.remove('minecraft:deepslate_bricks')
  event.remove('minecraft:polished_andesite')
  event.remove('minecraft:polished_andesite_slab')
  event.remove('minecraft:polished_andesite_stairs')
  event.remove('minecraft:polished_deepslate')
  event.remove('minecraft:polished_deepslate_slab')
  event.remove('minecraft:polished_deepslate_stairs')
  event.remove('minecraft:polished_deepslate_wall')
  event.remove('minecraft:polished_diorite')
  event.remove('minecraft:polished_diorite_slab')
  event.remove('minecraft:polished_diorite_stairs')
  event.remove('minecraft:polished_granite')
  event.remove('minecraft:polished_granite_slab')
  event.remove('minecraft:polished_granite_stairs')
  event.remove('minecraft:warped_button')
  event.remove('minecraft:warped_door')
  event.remove('minecraft:warped_fence')
  event.remove('minecraft:warped_fence_gate')
  event.remove('minecraft:warped_planks')
  event.remove('minecraft:warped_pressure_plate')
  event.remove('minecraft:warped_slab')
  event.remove('minecraft:warped_stairs')
  event.remove('minecraft:warped_trapdoor')
  event.remove('newworld:fir_button')
  event.remove('newworld:fir_cabinet')
  event.remove('newworld:fir_door')
  event.remove('newworld:fir_fence')
  event.remove('newworld:fir_fence_gate')
  event.remove('newworld:fir_log')
  event.remove('newworld:fir_planks')
  event.remove('newworld:fir_pressure_plate')
  event.remove('newworld:fir_slab')
  event.remove('newworld:fir_stairs')
  event.remove('newworld:fir_trapdoor')
  event.remove('newworld:fir_wood')
  event.remove('newworld:stripped_fir_log')
  event.remove('newworld:stripped_fir_wood')
  event.remove('quark:blossom_button')
  event.remove('quark:blossom_door')
  event.remove('quark:blossom_fence')
  event.remove('quark:blossom_fence_gate')
  event.remove('quark:blossom_log')
  event.remove('quark:blossom_planks')
  event.remove('quark:blossom_planks_slab')
  event.remove('quark:blossom_planks_stairs')
  event.remove('quark:blossom_pressure_plate')
  event.remove('quark:blossom_trapdoor')
  event.remove('quark:blossom_wood')
  event.remove('quark:gold_bars')
  event.remove('quark:stripped_blossom_log')
  event.remove('quark:stripped_blossom_wood')
  event.remove('quark:vertical_birch_planks')
  event.remove('quark:vertical_blossom_planks')
  event.remove('quark:vertical_cherry_planks')
  event.remove('quark:vertical_crimson_planks')
  event.remove('quark:vertical_dark_oak_planks')
  event.remove('quark:vertical_jungle_planks')
  event.remove('quark:vertical_mangrove_planks')
  event.remove('quark:vertical_oak_planks')
  event.remove('quark:vertical_spruce_planks')
  event.remove('quark:vertical_warped_planks')
  event.remove('rediscovered:crimson_chair')
  event.remove('rediscovered:crimson_table')
  event.remove('rediscovered:warped_chair')
  event.remove('rediscovered:warped_table')
  event.remove('savage_and_ravage:blast_proof_plates')
  event.remove('savage_and_ravage:blast_proof_slab')
  event.remove('savage_and_ravage:blast_proof_stairs')
  event.remove('savage_and_ravage:chiseled_gloomy_tiles')
  event.remove('savage_and_ravage:gloomy_tile_slab')
  event.remove('savage_and_ravage:gloomy_tile_stairs')
  event.remove('savage_and_ravage:gloomy_tile_wall')
  event.remove('savage_and_ravage:gloomy_tiles')
  event.remove('savage_and_ravage:runed_gloomy_tiles')
  event.remove('supplementaries:ash_bricks')
  event.remove('supplementaries:ash_bricks_slab')
  event.remove('supplementaries:ash_bricks_stairs')
  event.remove('supplementaries:ash_bricks_wall')
  event.remove('supplementaries:blackstone_tile')
  event.remove('supplementaries:blackstone_tile_slab')
  event.remove('supplementaries:blackstone_tile_stairs')
  event.remove('supplementaries:blackstone_tile_wall')
  event.remove('supplementaries:fine_wood')
  event.remove('supplementaries:fine_wood_slab')
  event.remove('supplementaries:fine_wood_stairs')
  event.remove('supplementaries:gold_gate')
  event.remove('supplementaries:gravel_bricks')
  event.remove('supplementaries:lapis_bricks')
  event.remove('supplementaries:lapis_bricks_slab')
  event.remove('supplementaries:lapis_bricks_stairs')
  event.remove('supplementaries:lapis_bricks_wall')
  event.remove('supplementaries:slidy_block')
  event.remove('supplementaries:stone_tile')
  event.remove('supplementaries:stone_tile_slab')
  event.remove('supplementaries:stone_tile_stairs')
  event.remove('supplementaries:stone_tile_wall')
  event.remove('supplementaries:suspicious_gravel_bricks')
  event.remove('upgrade_aquatic:acan_coralstone')
  event.remove('upgrade_aquatic:acan_coralstone_slab')
  event.remove('upgrade_aquatic:acan_coralstone_stairs')
  event.remove('upgrade_aquatic:acan_coralstone_wall')
  event.remove('upgrade_aquatic:beachgrass_thatch')
  event.remove('upgrade_aquatic:beachgrass_thatch_slab')
  event.remove('upgrade_aquatic:beachgrass_thatch_stairs')
  event.remove('upgrade_aquatic:brain_coralstone')
  event.remove('upgrade_aquatic:brain_coralstone_slab')
  event.remove('upgrade_aquatic:brain_coralstone_stairs')
  event.remove('upgrade_aquatic:brain_coralstone_wall')
  event.remove('upgrade_aquatic:branch_coralstone')
  event.remove('upgrade_aquatic:branch_coralstone_slab')
  event.remove('upgrade_aquatic:branch_coralstone_stairs')
  event.remove('upgrade_aquatic:branch_coralstone_wall')
  event.remove('upgrade_aquatic:bubble_coralstone')
  event.remove('upgrade_aquatic:bubble_coralstone_slab')
  event.remove('upgrade_aquatic:bubble_coralstone_stairs')
  event.remove('upgrade_aquatic:bubble_coralstone_wall')
  event.remove('upgrade_aquatic:chiseled_acan_coralstone')
  event.remove('upgrade_aquatic:chiseled_brain_coralstone')
  event.remove('upgrade_aquatic:chiseled_branch_coralstone')
  event.remove('upgrade_aquatic:chiseled_bubble_coralstone')
  event.remove('upgrade_aquatic:chiseled_chrome_coralstone')
  event.remove('upgrade_aquatic:chiseled_coralstone')
  event.remove('upgrade_aquatic:chiseled_dead_coralstone')
  event.remove('upgrade_aquatic:chiseled_elder_prismarine_coralstone')
  event.remove('upgrade_aquatic:chiseled_finger_coralstone')
  event.remove('upgrade_aquatic:chiseled_fire_coralstone')
  event.remove('upgrade_aquatic:chiseled_horn_coralstone')
  event.remove('upgrade_aquatic:chiseled_moss_coralstone')
  event.remove('upgrade_aquatic:chiseled_petal_coralstone')
  event.remove('upgrade_aquatic:chiseled_pillow_coralstone')
  event.remove('upgrade_aquatic:chiseled_prismarine_coralstone')
  event.remove('upgrade_aquatic:chiseled_rock_coralstone')
  event.remove('upgrade_aquatic:chiseled_scute_shingles')
  event.remove('upgrade_aquatic:chiseled_silk_coralstone')
  event.remove('upgrade_aquatic:chiseled_star_coralstone')
  event.remove('upgrade_aquatic:chiseled_tooth_bricks')
  event.remove('upgrade_aquatic:chiseled_tube_coralstone')
  event.remove('upgrade_aquatic:chrome_coralstone')
  event.remove('upgrade_aquatic:chrome_coralstone_slab')
  event.remove('upgrade_aquatic:chrome_coralstone_stairs')
  event.remove('upgrade_aquatic:chrome_coralstone_wall')
  event.remove('upgrade_aquatic:coralstone')
  event.remove('upgrade_aquatic:coralstone_slab')
  event.remove('upgrade_aquatic:coralstone_stairs')
  event.remove('upgrade_aquatic:coralstone_wall')
  event.remove('upgrade_aquatic:dead_coralstone')
  event.remove('upgrade_aquatic:dead_coralstone_slab')
  event.remove('upgrade_aquatic:dead_coralstone_stairs')
  event.remove('upgrade_aquatic:dead_coralstone_wall')
  event.remove('upgrade_aquatic:elder_prismarine_coralstone')
  event.remove('upgrade_aquatic:elder_prismarine_coralstone_slab')
  event.remove('upgrade_aquatic:elder_prismarine_coralstone_stairs')
  event.remove('upgrade_aquatic:elder_prismarine_coralstone_wall')
  event.remove('upgrade_aquatic:finger_coralstone')
  event.remove('upgrade_aquatic:finger_coralstone_slab')
  event.remove('upgrade_aquatic:finger_coralstone_stairs')
  event.remove('upgrade_aquatic:finger_coralstone_wall')
  event.remove('upgrade_aquatic:fire_coralstone')
  event.remove('upgrade_aquatic:fire_coralstone_slab')
  event.remove('upgrade_aquatic:fire_coralstone_stairs')
  event.remove('upgrade_aquatic:fire_coralstone_wall')
  event.remove('upgrade_aquatic:horn_coralstone')
  event.remove('upgrade_aquatic:horn_coralstone_slab')
  event.remove('upgrade_aquatic:horn_coralstone_stairs')
  event.remove('upgrade_aquatic:horn_coralstone_wall')
  event.remove('upgrade_aquatic:kelpy_stone_brick_slab')
  event.remove('upgrade_aquatic:kelpy_stone_brick_stairs')
  event.remove('upgrade_aquatic:kelpy_stone_brick_wall')
  event.remove('upgrade_aquatic:kelpy_stone_bricks')
  event.remove('upgrade_aquatic:moss_coralstone')
  event.remove('upgrade_aquatic:moss_coralstone_slab')
  event.remove('upgrade_aquatic:moss_coralstone_stairs')
  event.remove('upgrade_aquatic:moss_coralstone_wall')
  event.remove('upgrade_aquatic:petal_coralstone')
  event.remove('upgrade_aquatic:petal_coralstone_slab')
  event.remove('upgrade_aquatic:petal_coralstone_stairs')
  event.remove('upgrade_aquatic:petal_coralstone_wall')
  event.remove('upgrade_aquatic:pillow_coralstone')
  event.remove('upgrade_aquatic:pillow_coralstone_slab')
  event.remove('upgrade_aquatic:pillow_coralstone_stairs')
  event.remove('upgrade_aquatic:pillow_coralstone_wall')
  event.remove('upgrade_aquatic:prismarine_coralstone')
  event.remove('upgrade_aquatic:prismarine_coralstone_slab')
  event.remove('upgrade_aquatic:prismarine_coralstone_stairs')
  event.remove('upgrade_aquatic:prismarine_coralstone_wall')
  event.remove('upgrade_aquatic:rock_coralstone')
  event.remove('upgrade_aquatic:rock_coralstone_slab')
  event.remove('upgrade_aquatic:rock_coralstone_stairs')
  event.remove('upgrade_aquatic:rock_coralstone_wall')
  event.remove('upgrade_aquatic:silk_coralstone')
  event.remove('upgrade_aquatic:silk_coralstone_slab')
  event.remove('upgrade_aquatic:silk_coralstone_stairs')
  event.remove('upgrade_aquatic:silk_coralstone_wall')
  event.remove('upgrade_aquatic:star_coralstone')
  event.remove('upgrade_aquatic:star_coralstone_slab')
  event.remove('upgrade_aquatic:star_coralstone_stairs')
  event.remove('upgrade_aquatic:star_coralstone_wall')
  event.remove('upgrade_aquatic:tooth_block')
  event.remove('upgrade_aquatic:tooth_brick_slab')
  event.remove('upgrade_aquatic:tooth_brick_stairs')
  event.remove('upgrade_aquatic:tooth_brick_wall')
  event.remove('upgrade_aquatic:tooth_bricks')
  event.remove('upgrade_aquatic:tooth_door')
  event.remove('upgrade_aquatic:tooth_slab')
  event.remove('upgrade_aquatic:tooth_stairs')
  event.remove('upgrade_aquatic:tooth_tiles')
  event.remove('upgrade_aquatic:tooth_trapdoor')
  event.remove('upgrade_aquatic:tooth_wall')
  event.remove('upgrade_aquatic:tube_coralstone')
  event.remove('upgrade_aquatic:tube_coralstone_slab')
  event.remove('upgrade_aquatic:tube_coralstone_stairs')
  event.remove('upgrade_aquatic:tube_coralstone_wall')
  event.remove('woodworks:crimson_boards')
  event.remove('woodworks:warped_boards')
})

StartupEvents.modifyCreativeTab('sweety_garden:sweety_garden', event => {
  event.remove('sweety_garden:drimia')
  event.remove('sweety_garden:passion_flower')
  event.remove('sweety_garden:wood_anemone')
  event.remove('sweety_garden:hepatica')
  event.remove('sweety_garden:purple_shamrock')
  event.remove('sweety_garden:snowdrop')
  event.remove('sweety_garden:baileya')
  event.remove('sweety_garden:bloody_dogwood')
  event.remove('sweety_garden:edelweiss')
  event.remove('sweety_garden:pontederia')
  event.remove('sweety_garden:wood_sorrel')
  event.remove('sweety_garden:shaggy_purslane')
  event.remove('sweety_garden:busy_lizzie')
  event.remove('sweety_garden:pampas')
  event.remove('sweety_garden:cyan_poppy')
  event.remove('sweety_garden:heather')
})

StartupEvents.modifyCreativeTab('moreminecarts:more_minecarts_tab', event => {
  event.remove('moreminecarts:maglev_powered_rail')
  event.remove('moreminecarts:maglev_rail')
  event.remove('moreminecarts:arithmetic_rail')
  event.remove('moreminecarts:backwards_holo_remote')
  event.remove('moreminecarts:battery_cart')
  event.remove('moreminecarts:bioluminescent_rail')
  event.remove('moreminecarts:broken_holo_remote')
  event.remove('moreminecarts:campfire_cart')
  event.remove('moreminecarts:chiseled_organic_glass')
  event.remove('moreminecarts:chiseled_organic_glass_pane')
  event.remove('moreminecarts:chunk_loader')
  event.remove('moreminecarts:chunkrodite')
  event.remove('moreminecarts:chunkrodite_block')
  event.remove('moreminecarts:color_detector_rail_black')
  event.remove('moreminecarts:color_detector_rail_blue')
  event.remove('moreminecarts:color_detector_rail_brown')
  event.remove('moreminecarts:color_detector_rail_cyan')
  event.remove('moreminecarts:color_detector_rail_gray')
  event.remove('moreminecarts:color_detector_rail_green')
  event.remove('moreminecarts:color_detector_rail_light_blue')
  event.remove('moreminecarts:color_detector_rail_light_gray')
  event.remove('moreminecarts:color_detector_rail_lime')
  event.remove('moreminecarts:color_detector_rail_magenta')
  event.remove('moreminecarts:color_detector_rail_orange')
  event.remove('moreminecarts:color_detector_rail_pink')
  event.remove('moreminecarts:color_detector_rail_purple')
  event.remove('moreminecarts:color_detector_rail_red')
  event.remove('moreminecarts:color_detector_rail_white')
  event.remove('moreminecarts:color_detector_rail_yellow')
  event.remove('moreminecarts:corrugated_silica_steel')
  event.remove('moreminecarts:coupler')
  event.remove('moreminecarts:cross_rail')
  event.remove('moreminecarts:filter_unloader')
  event.remove('moreminecarts:flag_cart')
  event.remove('moreminecarts:glass_cactus')
  event.remove('moreminecarts:glass_spines')
  event.remove('moreminecarts:hard_light_lens')
  event.remove('moreminecarts:high_speed_upgrade')
  event.remove('moreminecarts:holo_remote')
  event.remove('moreminecarts:holo_scaffold_generator')
  event.remove('moreminecarts:iron_pushcart')
  event.remove('moreminecarts:levitation_powder')
  event.remove('moreminecarts:lightspeed_cross_rail')
  event.remove('moreminecarts:lightspeed_powered_rail')
  event.remove('moreminecarts:lightspeed_rail')
  event.remove('moreminecarts:locking_rail')
  event.remove('moreminecarts:maglev_cross_rail')
  event.remove('moreminecarts:maglev_parallel_rail')
  event.remove('moreminecarts:maglev_projector_rail')
  event.remove('moreminecarts:maglev_rail_turn')
  event.remove('moreminecarts:minecart_loader')
  event.remove('moreminecarts:minecart_unloader')
  event.remove('moreminecarts:minecart_with_chunk_loader')
  event.remove('moreminecarts:minecart_with_net')
  event.remove('moreminecarts:organic_glass')
  event.remove('moreminecarts:organic_glass_pane')
  event.remove('moreminecarts:parallel_rail')
  event.remove('moreminecarts:pearl_stasis_chamber')
  event.remove('moreminecarts:pearl_stasis_minecart')
  event.remove('moreminecarts:piston_lifter_rail')
  event.remove('moreminecarts:piston_pushcart')
  event.remove('moreminecarts:powered_locking_rail')
  event.remove('moreminecarts:projector_rail')
  event.remove('moreminecarts:rail_signal_black')
  event.remove('moreminecarts:rail_signal_blue')
  event.remove('moreminecarts:rail_signal_brown')
  event.remove('moreminecarts:rail_signal_cyan')
  event.remove('moreminecarts:rail_signal_gray')
  event.remove('moreminecarts:rail_signal_green')
  event.remove('moreminecarts:rail_signal_light_blue')
  event.remove('moreminecarts:rail_signal_light_gray')
  event.remove('moreminecarts:rail_signal_lime')
  event.remove('moreminecarts:rail_signal_magenta')
  event.remove('moreminecarts:rail_signal_orange')
  event.remove('moreminecarts:rail_signal_pink')
  event.remove('moreminecarts:rail_signal_purple')
  event.remove('moreminecarts:rail_signal_red')
  event.remove('moreminecarts:rail_signal_white')
  event.remove('moreminecarts:rail_signal_yellow')
  event.remove('moreminecarts:rail_turn')
  event.remove('moreminecarts:silica_steel')
  event.remove('moreminecarts:silica_steel_block')
  event.remove('moreminecarts:silica_steel_mix')
  event.remove('moreminecarts:silica_steel_pillar')
  event.remove('moreminecarts:simple_holo_remote')
  event.remove('moreminecarts:soulfire_cart')
  event.remove('moreminecarts:sticky_piston_pushcart')
  event.remove('moreminecarts:tank_cart')
  event.remove('moreminecarts:transport_battery')
  event.remove('moreminecarts:transport_tank')
  event.remove('moreminecarts:wooden_cross_rail')
  event.remove('moreminecarts:wooden_parallel_rail')
  event.remove('moreminecarts:wooden_projector_rail')
  event.remove('moreminecarts:wooden_pushcart')
  event.remove('moreminecarts:wooden_rail')
  event.remove('moreminecarts:wooden_rail_turn')
})
